package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/24 16:06
 * @description
 */
@Data
public class PmCompositeSlabListCtDTO implements Serializable {
    private static final long serialVersionUID = -3117959287007414485L;
    @ApiModelProperty("合约号")
    private String contractNum;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("母材料号（虚拟板坯号/板坯号)")
    private String moMatNo;

    @ApiModelProperty("材料号（子板号）")
    private String matNo;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("产线号")
    private String ppFlag;

    @ApiModelProperty("材料厚度")
    private BigDecimal thk;

    @ApiModelProperty("材料宽度")
    private BigDecimal wid;

    @ApiModelProperty("材料长度")
    private BigDecimal len;

    @ApiModelProperty("材料单重")
    private BigDecimal wgt;

    @ApiModelProperty("组板状态码")
    private String pdMatStatus;

    @ApiModelProperty("进程状态码")
    private String procCd;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty("钢种")
    private String stNo;

    @ApiModelProperty("牌号")
    private String sgSign;

    @ApiModelProperty("合同材标记1/余材标记2")
    private String ordFlag;


}
