package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/1 15:49
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabReqDTO implements Serializable {

    private static final long serialVersionUID = 2255639660198868727L;

    @ApiModelProperty("复合类型")
    private String slabType;

    @ApiModelProperty("状态")
    private String statusCode;

    @ApiModelProperty("目的库区")
    private String destStockCode;

    @ApiModelProperty("基材合同")
    private String orderNo;

    @ApiModelProperty("收货单位")
    private String consignCustCname;

    @ApiModelProperty("复合/叠轧坯号")
    private String slabNo;

    @ApiModelProperty("创建人id")
    private Long createdById;

    @ApiModelProperty("创建时间起")
    private Date createDateFrom;

    @ApiModelProperty("创建时间至")
    private Date createDateTo;
}
