package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author BKGY  MYT
 */
@Data
@ApiModel("不可替代板坯DTO")
public class PmIrsubableSlabRequestDTO {


    private Long id;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "库区代码")
    private String dstockCode;

    @ApiModelProperty(value = "板坯厚度起")
    private BigDecimal matActThickFrom;

    @ApiModelProperty(value = "板坯厚度止")
    private BigDecimal matActThickTo;

    @ApiModelProperty(value = "板坯宽度起")
    private BigDecimal matActWidthFrom;

    @ApiModelProperty(value = "板坯宽度止")
    private BigDecimal matActWidthTo;

    @ApiModelProperty(value = "板坯长度起")
    private BigDecimal matActLenFrom;

    @ApiModelProperty(value = "板坯长度起")
    private BigDecimal matActLenTo;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
