package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:07
 */
@Data
public class PmPdCcSlabReqParamDTO implements Serializable {
    private static final long serialVersionUID = 3175631841589574708L;

    @ApiModelProperty("交货期从")
    private Date steelLatestDateFrom;

    @ApiModelProperty("交货期至")
    private Date steelLatestDateTo;

    @ApiModelProperty("钢种")
    private String stNo;

    @ApiModelProperty("板坯厚度")
    private String preCleanSlabThick;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("热装标记")
    private String hotChargeFlag;

    @ApiModelProperty("合同厚度从")
    private BigDecimal orderThickFrom;

    @ApiModelProperty("合同厚度至")
    private BigDecimal orderThickTo;

    @ApiModelProperty("是否按照长度,Y/N")
    private String isLength;

    @ApiModelProperty("厚度")
    private BigDecimal slabThick;

    @ApiModelProperty("宽度")
    private BigDecimal slabWidth;

    @ApiModelProperty("长度起")
    private BigDecimal slabLengthFrom;

    @ApiModelProperty("长度至")
    private BigDecimal slabLengthTo;

    @ApiModelProperty("坯料类型")
    private String ccType;

}
