package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/6 10:35
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPdCcSlabThickDTO implements Serializable {
    private static final long serialVersionUID = 5725731491652355187L;

    @ApiModelProperty("厚度")
    private BigDecimal slabThick;

    @ApiModelProperty("板坯宽度")
    private List<PmPdCcSlabWidthDTO> slabWidthList;
}
