package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/7/31 9:53
 */
@Data
public class PmPdOperationReRequestDTO implements Serializable {

    private static final long serialVersionUID = -4536905824619924889L;
    @ApiModelProperty("员工编号")
    private String eventMaker;

    @ApiModelProperty("组板责任者")
    private String createBy;

    @ApiModelProperty("组板时间从")
    private Date createDateFrom;

    @ApiModelProperty("组板时间止")
    private Date createDateTo;

    @ApiModelProperty("交货日期从")
    private Date delivyDateFrom;

    @ApiModelProperty("交货日期止")
    private Date delivyDateTo;

}
