package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/14 15:20
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmPonoWtInfoResDTO implements Serializable {
    private static final long serialVersionUID = -7395587328048205670L;

    @ApiModelProperty("预CAST_LOT号")
    private String precCastLotNo;

    @ApiModelProperty("CAST_LOT号")
    private String castLotNo;

    @ApiModelProperty("预定制造命令号")
    private String precPono;

    @ApiModelProperty("制造命令号")
    private String pono;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("连铸预定计划状态")
    private String csPrecPlanStatus;

    @ApiModelProperty("目标炉重")
    private BigDecimal actAimInitWt;

    @ApiModelProperty("实际炉重")
    private BigDecimal actPonoWt;

    @ApiModelProperty("炉次收得率")
    private BigDecimal ponoYield;

    @ApiModelProperty("坯料类型")
    private String ccType;

}
