package com.xisc.pm.api.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 代预替代成功接口参数
 * 
 * @author jun.zeng
 *
 */
@ApiModel("代预替代成功接口参数")
@Data
public class PmPreSubstitutionDTO implements Serializable {

    private static final long serialVersionUID = -2221552300802110869L;

    @ApiModelProperty("代表板命令板坯号")
    private String orgRepresentPonoSlabNo;
    
    @ApiModelProperty("替代命令板坯号")
    private String replaceSlabNo;
    
    @ApiModelProperty("奉送样标记")
    private String giveSampleFlag;
    
}
