package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/4 18:25
 * @description
 */
@Data
public class PmProContCanclePoolReqDTO implements Serializable {
    private static final long serialVersionUID = 8796143704053867017L;

    @ApiModelProperty("合同号集合")
    private List<String> orderNoList;

    @ApiModelProperty("合同超投件数")
    private BigDecimal orderNoQty;

    @ApiModelProperty("超投标记")
    private String overFlag;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("超投原因")
    private String overReason;
}
