package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;


@Getter
@Setter
public class PmProductionLineDTO implements Serializable {
    private static final long serialVersionUID = 452185561131382412L;

    @ApiModelProperty("生产线ID")
    private Long prodLineId;

    @ApiModelProperty(value = "设计产线编码", required = true)
    private String prodLineCode;

    @ApiModelProperty(value = "设计产线名称", required = true)
    private String prodLineName;

    @ApiModelProperty(value = "轧制产线编码", required = true)
    private String tmRollPl;

    @ApiModelProperty(value = "优先级", required = true)
    private Long priority;

    @ApiModelProperty(value = "生产线产能")
    private Long prodLineProductivity;

    @ApiModelProperty(value = "生效标记", required = true)
    private Long validFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    private Long tenantId;

    @ApiModelProperty(value = "创建人")
    private String createdByName;

    @ApiModelProperty(value = "更新人")
    private String updateByName;

    private Date creationDate;
    private Long createdBy;
    private Date lastUpdateDate;
    private Long lastUpdatedBy;
    private Long objectVersionNumber;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}

