package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 11:26
 */
@Data
public class PmRuntimeContractChangeDTO implements Serializable {
    private static final long serialVersionUID = 6158457583513830627L;

    @ApiModelProperty(value = "长度范围查询")
    private List<PmSpecTableColumnRangeDTO> lenthRangeList;

    @ApiModelProperty(value = "宽度范围查询")
    private List<PmSpecTableColumnRangeDTO> widthRangeList;

    @ApiModelProperty(value = "厚度范围查询")
    private List<PmSpecTableColumnRangeDTO> thickRangeList;
}
