package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/14 15:16
 */
@Data
public class PmSlabEstaPlanReqParamDTO implements Serializable {
    private static final long serialVersionUID = -1591093473228993763L;

    @ApiModelProperty("主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty("员工编号")
    private String userId;

    @ApiModelProperty("预CAST_LOT_NO")
    private String precCastLotNoFrom;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("结晶器厚度")
    private BigDecimal slabThick;

    @ApiModelProperty("结晶器宽度")
    private BigDecimal slabWidth;

    @ApiModelProperty("申请炼钢日期从")
    private Date steelAppDateFrom;

    @ApiModelProperty("申请炼钢日期至")
    private Date steelAppDateTo;

    @ApiModelProperty("连铸预计划状态")
    private String csPrecPlanStatus;

    @ApiModelProperty(value = "连铸机类型")
    private String ccType;

    @ApiModelProperty(value = "预定CAST_LOT号")
    private String precCastLotNoTo;

    @ApiModelProperty(value = "制造命令号起")
    private String ponoFrom;

    @ApiModelProperty(value = "制造命令号止")
    private String ponoTo;
}
