package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/11/16 13:02
 * @description
 */
@Data
public class ProdPonoSlabRequestDTO implements Serializable {

    private static final long serialVersionUID = 6865178028420710481L;

    @ApiModelProperty(value = "临时命令板坯号")
    private String tmpSlabNo;

    @ApiModelProperty(value = "命令板坯号")
    private String ponoSlab;

    @ApiModelProperty(value = "制造命令号")
    private String pono;

    @ApiModelProperty(value = "组板类型")
    private String matDesignKind;

    @ApiModelProperty(value = "代表板标记")
    private String deleResvCode;

}
