package com.xisc.pm.api.dto.ctevent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/14 11:04
 */
@Data
public class PmMaterialCommandDTO implements Serializable {
    private static final long serialVersionUID = 5020193900313617581L;
    @ApiModelProperty("母材料号（虚拟板坯号/板坯号）")
    private String moMatNo;

    @ApiModelProperty("虚拟板坯号")
    private String matNo;

    @ApiModelProperty("产品标记")
    private Integer ppFlag;

    @ApiModelProperty("合同材/余材标记(1合同材/余材2")
    private String ordFlag;

    @ApiModelProperty("厚板组板状态")
    private String pdMatStatus;

    @ApiModelProperty("进程状态码")
    private String procCd;

    @ApiModelProperty("全程工序代码")
    private String wholeBacklogCode;
}
