package com.xisc.pm.api.dto.ctevent;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProContConsumeDTO implements Serializable {

    private static final long serialVersionUID = -6264001973932100635L;

    @ApiModelProperty(value = "材料号（子板号）")
    private String matNo;

    @ApiModelProperty(value = "产品标记（0子板/组合板1/板坯2/钢锭3/复合板4/叠轧板5）如果产品标记是2、3、4、5")
    private Long ppFlag;

    @ApiModelProperty(value = "是否有效(1有效/0无效)")
    private Long enableFlag;

    public ProContConsumeDTO(String matNo, Long ppFlag, Long enableFlag) {
        super();
        this.matNo = matNo;
        this.ppFlag = ppFlag;
        this.enableFlag = enableFlag;
    }
    
    public ProContConsumeDTO() {
        
    }
    
}
