package com.xisc.pm.api.dto.model;

import com.xisc.pm.domain.entity.PmContMscTech;
import com.xisc.pm.domain.entity.PmProCont;
import com.xisc.pm.domain.entity.PmProContProdTtr;
import com.xisc.pm.domain.entity.QdToPoOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class GPreOrder {

    //合同号
    private int IDValue;

    //合同号
    private String orderNo;

    //合同产线
    private String Line ;

    //实际长度
    private Integer intActLen;

    //宽度
    private int Wid;

    //宽度余量
    private int widthAddv;

    //厚度
    private BigDecimal Thk;

    //内部钢种
    private String ST_NO;

    //长度
    private int Len;

    // 厚度公差上限
    private BigDecimal thickTolMax;

    //厚度公差下限
    private BigDecimal thickTolMin;

    //切头
    private int CutHeadLen;
    //切尾
    private int CutTailLen;

    //合同信息
    private PmProCont  infoPmProContDo;

    //生产合同产品属性表
    private PmProContProdTtr  infoPmProContProdAttrDO;

    //合同产线工艺参数表
    private PmContMscTech  infoPmContMscTechDO;

    //合同
    private QdToPoOrder infoQdToPoOrderDO;

    //组合标识
    private int CombinationFlag = 0;
    //组合信息
    private List<GComBOrder> LtInfoCombGPreOrder;

    //  特殊组合标识   22 1   1拖多 2(G1只有这一种情况)  3层 3  一定为G
    private int specialFlag = 0;
}
