package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCdRuleItem;

import java.util.List;

/**
 * 充当规则库(PmCdRuleItem)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 10:57:46
 */
public interface PmCdRuleItemService {

    /**
     * 查询数据
     *
     * @param pageRequest   分页参数
     * @param pmCdRuleItems 查询条件
     * @return 返回值
     */
    Page<PmCdRuleItem> selectList(PageRequest pageRequest, PmCdRuleItem pmCdRuleItems);

    /**
     * 保存数据
     *
     * @param pmCdRuleItems 数据
     */
    void saveData(List<PmCdRuleItem> pmCdRuleItems);

}

