package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCmdSmallPlt;

import java.util.List;

/**
 * 命令小板表(PmCmdSmallPlt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-01 10:25:35
 */
public interface PmCmdSmallPltService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmCmdSmallPlts 查询条件
     * @return 返回值
     */
    Page<PmCmdSmallPlt> selectList(PageRequest pageRequest, PmCmdSmallPlt pmCmdSmallPlts);

    /**
     * 保存数据
     *
     * @param pmCmdSmallPlts 数据
     */
    void saveData(List<PmCmdSmallPlt> pmCmdSmallPlts);

}

