package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmHotDest;

import java.util.List;

/**
 * 炼钢炉次计划热处理去向表(PmTpssmHot)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-19 14:48:29
 */
public interface PmHotDestService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmTpssmHots 查询条件
     * @return 返回值
     */
    Page<PmHotDest> selectList(PageRequest pageRequest, PmHotDest pmTpssmHots);

    /**
     * 保存数据
     *
     * @param pmTpssmHots 数据
     */
    void saveData(List<PmHotDest> pmTpssmHots);

}

