package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotSpecTrimBtTra;

import java.util.List;

/**
 * 钢锭轧制规格及切边量基准表履历表(PmIgnotSpecTrimBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 15:02:15
 */
public interface PmIngotSpecTrimBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest           分页参数
     * @param pmIngotSpecTrimBtTras 查询条件
     * @return 返回值
     */
    Page<PmIngotSpecTrimBtTra> selectList(PageRequest pageRequest, PmIngotSpecTrimBtTra pmIngotSpecTrimBtTras);

    /**
     * 保存数据
     *
     * @param pmIngotSpecTrimBtTras 数据
     */
    void saveData(List<PmIngotSpecTrimBtTra> pmIngotSpecTrimBtTras);

}

