package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotThickAddvBtTra;

import java.util.List;

/**
 * 钢锭厚度余量基准表履历表(PmIngotThickAddvBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-05 17:10:03
 */
public interface PmIngotThickAddvBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest            分页参数
     * @param pmIngotThickAddvBtTras 查询条件
     * @return 返回值
     */
    Page<PmIngotThickAddvBtTra> selectList(PageRequest pageRequest, PmIngotThickAddvBtTra pmIngotThickAddvBtTras);

    /**
     * 保存数据
     *
     * @param pmIngotThickAddvBtTras 数据
     */
    void saveData(List<PmIngotThickAddvBtTra> pmIngotThickAddvBtTras);

}

