package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIngotYieldBtTra;

import java.util.List;

/**
 * 钢锭收得率基准表履历表(PmIngotYieldBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-05 18:23:43
 */
public interface PmIngotYieldBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest        分页参数
     * @param pmIngotYieldBtTras 查询条件
     * @return 返回值
     */
    Page<PmIngotYieldBtTra> selectList(PageRequest pageRequest, PmIngotYieldBtTra pmIngotYieldBtTras);

    /**
     * 保存数据
     *
     * @param pmIngotYieldBtTras 数据
     */
    void saveData(List<PmIngotYieldBtTra> pmIngotYieldBtTras);

}

