package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmIrsubableSlabRequestDTO;
import com.xisc.pm.api.dto.export.PmIrsubableSlabDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmIrsubableSlab;

import java.util.List;

/**
 * 不可替代板坯表(PmIrsubableSlab)应用服务
 *
 * @author BKGY
 * @since 2024-12-20 15:57:38
 */
public interface PmIrsubableSlabService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmIrsubableSlabs 查询条件
     * @return 返回值
     */
    Page<PmIrsubableSlab> selectList(PageRequest pageRequest, PmIrsubableSlabRequestDTO pmIrsubableSlabs);

    /**
     * 保存数据
     *
     * @param pmIrsubableSlabs 数据
     */
    void saveData(Long tenantId , List<PmIrsubableSlab> pmIrsubableSlabs);

    List<PmIrsubableSlabDTO> exportList(Long organizationId, PmIrsubableSlabRequestDTO pmIrsubableSlab);

    void xx();
}

