package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPdTmpYieldBtTra;

import java.util.List;

/**
 * 组板临时收得率基准表履历表(PmPdTmpYieldBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 10:10:18
 */
public interface PmPdTmpYieldBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest        分页参数
     * @param pmPdTmpYieldBtTras 查询条件
     * @return 返回值
     */
    Page<PmPdTmpYieldBtTra> selectList(PageRequest pageRequest, PmPdTmpYieldBtTra pmPdTmpYieldBtTras);

    /**
     * 保存数据
     *
     * @param pmPdTmpYieldBtTras 数据
     */
    void saveData(List<PmPdTmpYieldBtTra> pmPdTmpYieldBtTras);

}

