package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPlateSpecYieldBtTra;

import java.util.List;

/**
 * 钢板轧制规格对应收得率基准表履历表(PmPlateSpecYieldBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 16:38:55
 */
public interface PmPlateSpecYieldBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest            分页参数
     * @param pmPlateSpecYieldBtTras 查询条件
     * @return 返回值
     */
    Page<PmPlateSpecYieldBtTra> selectList(PageRequest pageRequest, PmPlateSpecYieldBtTra pmPlateSpecYieldBtTras);

    /**
     * 保存数据
     *
     * @param pmPlateSpecYieldBtTras 数据
     */
    void saveData(List<PmPlateSpecYieldBtTra> pmPlateSpecYieldBtTras);

}

