package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPlateTrimBtTra;

import java.util.List;

/**
 * 钢板切边量基准表履历表(PmPlateTrimBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 10:38:01
 */
public interface PmPlateTrimBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest       分页参数
     * @param pmPlateTrimBtTras 查询条件
     * @return 返回值
     */
    Page<PmPlateTrimBtTra> selectList(PageRequest pageRequest, PmPlateTrimBtTra pmPlateTrimBtTras);

    /**
     * 保存数据
     *
     * @param pmPlateTrimBtTras 数据
     */
    void saveData(List<PmPlateTrimBtTra> pmPlateTrimBtTras);

}

