package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPnsortTra;

import java.util.List;

/**
 * 组炉规则配置表-履历表(PmPnsortTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-11 16:00:12
 */
public interface PmPnsortTraService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmPnsortTras 查询条件
     * @return 返回值
     */
    Page<PmPnsortTra> selectList(PageRequest pageRequest, PmPnsortTra pmPnsortTras);

    /**
     * 保存数据
     *
     * @param pmPnsortTras 数据
     */
    void saveData(List<PmPnsortTra> pmPnsortTras);

}

