package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPonoWtStaticGdTra;

import java.util.List;

/**
 * 炉重静态表_钢锭履历表(PmPonoWtStaticGdTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:41:45
 */
public interface PmPonoWtStaticGdTraService {

    /**
     * 查询数据
     *
     * @param pageRequest          分页参数
     * @param pmPonoWtStaticGdTras 查询条件
     * @return 返回值
     */
    Page<PmPonoWtStaticGdTra> selectList(PageRequest pageRequest, PmPonoWtStaticGdTra pmPonoWtStaticGdTras);

    /**
     * 保存数据
     *
     * @param pmPonoWtStaticGdTras 数据
     */
    void saveData(List<PmPonoWtStaticGdTra> pmPonoWtStaticGdTras);

}

