package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPonoWtStaticTra;

import java.util.List;

/**
 * 炉重静态表履历表(PmPonoWtStaticTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:12:30
 */
public interface PmPonoWtStaticTraService {

    /**
     * 查询数据
     *
     * @param pageRequest        分页参数
     * @param pmPonoWtStaticTras 查询条件
     * @return 返回值
     */
    Page<PmPonoWtStaticTra> selectList(PageRequest pageRequest, PmPonoWtStaticTra pmPonoWtStaticTras);

    /**
     * 保存数据
     *
     * @param pmPonoWtStaticTras 数据
     */
    void saveData(List<PmPonoWtStaticTra> pmPonoWtStaticTras);

}

