package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSdivSpecLimitBtTra;

import java.util.List;

/**
 * 剖分组板设备规格限制表履历表(PmSdivSpecLimitBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:34:36
 */
public interface PmSdivSpecLimitBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest           分页参数
     * @param pmSdivSpecLimitBtTras 查询条件
     * @return 返回值
     */
    Page<PmSdivSpecLimitBtTra> selectList(PageRequest pageRequest, PmSdivSpecLimitBtTra pmSdivSpecLimitBtTras);

    /**
     * 保存数据
     *
     * @param pmSdivSpecLimitBtTras 数据
     */
    void saveData(List<PmSdivSpecLimitBtTra> pmSdivSpecLimitBtTras);

}

