package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSdivStLimitBtTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 剖分组板钢种限制表履历表(PmSdivStLimitBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:56
 */
public interface PmSdivStLimitBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmSdivStLimitBtTras 查询条件
     * @return 返回值
     */
    Page<PmSdivStLimitBtTra> selectList(PageRequest pageRequest, PmSdivStLimitBtTra pmSdivStLimitBtTras);

    /**
     * 保存数据
     *
     * @param pmSdivStLimitBtTras 数据
     */
    void saveData(List<PmSdivStLimitBtTra> pmSdivStLimitBtTras);

}

