package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.export.PmSgDetermineDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSgDetermine;

import java.util.List;

/**
 * 钢种改判表(PmSgDetermine)应用服务
 *
 * @author BKGY
 * @since 2025-01-17 14:25:15
 */
public interface PmSgDetermineService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmSgDetermines 查询条件
     * @return 返回值
     */
    Page<PmSgDetermine> selectList(PageRequest pageRequest, PmSgDetermine pmSgDetermines);

    /**
     * 保存数据
     *
     * @param pmSgDetermines 数据
     */
    void saveData(List<PmSgDetermine> pmSgDetermines);

    List<PmSgDetermineDTO> exportList(PmSgDetermine pmSgDetermine);
}

