package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmSlabLenConfigTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 板坯组矩长度配置表履历表(PmSlabLenConfigTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:30:36
 */
public interface PmSlabLenConfigTraService {

    /**
     * 查询数据
     *
     * @param pageRequest         分页参数
     * @param pmSlabLenConfigTras 查询条件
     * @return 返回值
     */
    Page<PmSlabLenConfigTra> selectList(PageRequest pageRequest, PmSlabLenConfigTra pmSlabLenConfigTras);

    /**
     * 保存数据
     *
     * @param pmSlabLenConfigTras 数据
     */
    void saveData(List<PmSlabLenConfigTra> pmSlabLenConfigTras);

}

