package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmStCodeBtTra;

import java.util.List;

/**
 * 强度级别对照基准表履历表(PmStCodeBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-26 14:15:35
 */
public interface PmStCodeBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest    分页参数
     * @param pmStCodeBtTras 查询条件
     * @return 返回值
     */
    Page<PmStCodeBtTra> selectList(PageRequest pageRequest, PmStCodeBtTra pmStCodeBtTras);

    /**
     * 保存数据
     *
     * @param pmStCodeBtTras 数据
     */
    void saveData(List<PmStCodeBtTra> pmStCodeBtTras);

}

