package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSteelCastLot;

import java.util.List;

/**
 * 炼钢连铸制造命令LOT表(PmSteelCastLot)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-16 08:25:59
 */
public interface PmSteelCastLotService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmSteelCastLots 查询条件
     * @return 返回值
     */
    Page<PmSteelCastLot> selectList(PageRequest pageRequest, PmSteelCastLot pmSteelCastLots);

    /**
     * 保存数据
     *
     * @param pmSteelCastLots 数据
     */
    void saveData(List<PmSteelCastLot> pmSteelCastLots);

}

