package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.xisc.pm.domain.entity.PmProdLineSectionSpec;

import lombok.Data;

/**
 * 自动组板策略
 * @author jun.zeng
 *
 */
@Data
public class PmAutoBoardMoldDTO implements Serializable {

    private static final long serialVersionUID = 6281508617849119620L;
    
    private String moldId ;
    // 设计产线号
    private String mscLineNo;
    // 断面厚
    private BigDecimal moldThick;
    // 断面宽
    private BigDecimal moldWidth;
    // 断面优先级
    private Long priority;
    
    // 断面规格参数
    private List<PmProdLineSectionSpec> moldSpecs;
    
    // 下一个执行节点
    private PmAutoBoardMoldDTO nextNode ;
    
    
}
