package com.xisc.pm.app.service.autoboard.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

import lombok.Data;

@Data
public class PmAutoPdPublishedDTO implements Serializable {
    
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_ALL_WT = "allWt";
    public static final String FIELD_BOARD_WT = "boardAllWt";
    public static final String FIELD_ST_GROUP_CODE = "steelGroupCode";
    public static final String FIELD_PUBISLED_WT = "publishedWt";
    public static final String FIELD_PUBLISHED_LIST = "publishedList";

    private static final long serialVersionUID = -7481269481585614523L;
    
    private Map<String , Set<String>> title = new TreeMap<String, Set<String>>();
    
    private List<Map<String , Object>> data = new ArrayList<Map<String,Object>>();
    
}

