package com.xisc.pm.app.service.strategy.processgenerate;

import com.xisc.pm.api.dto.ProcessGenerateStrategyDTO;
import org.springframework.beans.factory.InitializingBean;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/17 8:39
 * @description
 */
public interface ProcessGenerateStrategy extends InitializingBean {

    /**
     * 获取工序
     *
     * @param dto
     * @return
     */
    String getProcessCode(ProcessGenerateStrategyDTO dto);

    /**
     * 探伤工序
     *
     * @param plateDtCode
     * @param rollLineNo
     * @param utCheckCode
     * @param witnessStatus
     * @param ultDetectStd
     * @return
     */
    String generateCrackProcess(String plateDtCode, String rollLineNo, String utCheckCode, String witnessStatus,  int ultDetectStd);
}
