package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.MmPlateSmallPro;

import java.util.List;

/**
 * 钢板小工序表(MmPlateSmallPro)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-15 16:30:08
 */
public interface MmPlateSmallProRepository extends BaseRepository<MmPlateSmallPro> {
    /**
     * 查询
     *
     * @param mmPlateSmallPro 查询条件
     * @return 返回值
     */
    List<MmPlateSmallPro> selectList(MmPlateSmallPro mmPlateSmallPro);

    /**
     * 根据主键查询（可关联表）
     *
     * @param proPlateId 主键
     * @return 返回值
     */
    MmPlateSmallPro selectByPrimary(Long proPlateId);
}
