package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmCdContLog;

import java.util.List;

/**
 * 转用充当履历(PmCdContLog)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 16:43:01
 */
public interface PmCdContLogRepository extends BaseRepository<PmCdContLog> {
    /**
     * 查询
     *
     * @param pmCdContLog 查询条件
     * @return 返回值
     */
    List<PmCdContLog> selectList(PmCdContLog pmCdContLog);

    /**
     * 根据主键查询（可关联表）
     *
     * @param loadContLogId 主键
     * @return 返回值
     */
    PmCdContLog selectByPrimary(Long loadContLogId);
}
