package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmCdRuleSet;

import java.util.List;

/**
 * 充当规则集(PmCdRuleSet)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 10:57:16
 */
public interface PmCdRuleSetRepository extends BaseRepository<PmCdRuleSet> {
    /**
     * 查询
     *
     * @param pmCdRuleSet 查询条件
     * @return 返回值
     */
    List<PmCdRuleSet> selectList(PmCdRuleSet pmCdRuleSet);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ruleSetId 主键
     * @return 返回值
     */
    PmCdRuleSet selectByPrimary(Long ruleSetId);
}
