package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmContractLineSpec;

import java.util.List;

/**
 * 合同指定产线断面表(PmContractLineSpec)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-12 09:37:26
 */
public interface PmContractLineSpecRepository extends BaseRepository<PmContractLineSpec> {
    /**
     * 查询
     *
     * @param pmContractLineSpec 查询条件
     * @return 返回值
     */
    List<PmContractLineSpec> selectList(PmContractLineSpec pmContractLineSpec);

    /**
     * 根据主键查询（可关联表）
     *
     * @param orderSpectionId 主键
     * @return 返回值
     */
    PmContractLineSpec selectByPrimary(Long orderSpectionId);
}
