package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHtolStaticTra;

import java.util.List;

/**
 * 以优充次静态表履历表(PmHtolStaticTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:07:53
 */
public interface PmHtolStaticTraRepository extends BaseRepository<PmHtolStaticTra> {
    /**
     * 查询
     *
     * @param pmHtolStaticTra 查询条件
     * @return 返回值
     */
    List<PmHtolStaticTra> selectList(PmHtolStaticTra pmHtolStaticTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmHtolStaticTra selectByPrimary(Long traId);
}
