package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIngotSpecTrimBtTra;

import java.util.List;

/**
 * 钢锭轧制规格及切边量基准表履历表(PmIgnotSpecTrimBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 15:02:15
 */
public interface PmIngotSpecTrimBtTraRepository extends BaseRepository<PmIngotSpecTrimBtTra> {
    /**
     * 查询
     *
     * @param pmIngotSpecTrimBtTra 查询条件
     * @return 返回值
     */
    List<PmIngotSpecTrimBtTra> selectList(PmIngotSpecTrimBtTra pmIngotSpecTrimBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmIngotSpecTrimBtTra selectByPrimary(Long traId);
}
