package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdBlockPos;
import com.xisc.pm.domain.entity.PmPdBlockPosTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 组合子板位置表-履历表(PmPdBlockPosTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 10:54:19
 */
public interface PmPdBlockPosTraRepository extends BaseRepository<PmPdBlockPosTra> {
    /**
     * 查询
     *
     * @param pmPdBlockPosTra 查询条件
     * @return 返回值
     */
    List<PmPdBlockPosTra> selectList(PmPdBlockPosTra pmPdBlockPosTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdBlockPosTra selectByPrimary(Long traId);

    /**
     * 批量创建组合子板位置表履历表
     *
     * @param pmPdBlockPosList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdBlockPosTra> buildPmPdBlockPosTraList(List<PmPdBlockPos> pmPdBlockPosList, String operationType, Date operationTime, String operationUser);
}
