package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdConstBt;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 组板常数基准表(PmPdConstBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:08:20
 */
public interface PmPdConstBtRepository extends BaseRepository<PmPdConstBt> {
    /**
     * 查询
     *
     * @param pmPdConstBt 查询条件
     * @return 返回值
     */
    List<PmPdConstBt> selectList(PmPdConstBt pmPdConstBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ppcbId 主键
     * @return 返回值
     */
    PmPdConstBt selectByPrimary(Long ppcbId);

    /**
     * 根据轧制产线号查询
     *
     * @param rollLineNoList
     * @param tenantId
     * @return
     */
    List<PmPdConstBt> selectByRollLineNoList(List<String> rollLineNoList, Long tenantId);
}
