package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdConstBtTra;

import java.util.List;

/**
 * 组板常数基准表履历表(PmPdConstBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:08:43
 */
public interface PmPdConstBtTraRepository extends BaseRepository<PmPdConstBtTra> {
    /**
     * 查询
     *
     * @param pmPdConstBtTra 查询条件
     * @return 返回值
     */
    List<PmPdConstBtTra> selectList(PmPdConstBtTra pmPdConstBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdConstBtTra selectByPrimary(Long traId);
}
