package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmPdOperationReRequestDTO;
import com.xisc.pm.api.dto.PmPdOperationReResponseDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdRec;

import java.util.List;

/**
 * 组板履历表资源库
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-31 08:01:11
 */
public interface PmPdRecRepository extends BaseRepository<PmPdRec> {

    /**
     * 查询组板履历表与生产合同产品属性表获取操作记录数据
     *
     * @param dto 查询参数
     * @return
     */
    List<PmPdOperationReResponseDTO> selectPdOperationRecord(PmPdOperationReRequestDTO dto, Long tenantId);
}
