package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPdRuleItem;

import java.util.List;

/**
 * 组板设计规则库(PmPdRuleItem)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-30 14:15:27
 */
public interface PmPdRuleItemRepository extends BaseRepository<PmPdRuleItem> {
    /**
     * 查询
     *
     * @param pmPdRuleItem 查询条件
     * @return 返回值
     */
    List<PmPdRuleItem> selectList(PmPdRuleItem pmPdRuleItem);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ruleNoId 主键
     * @return 返回值
     */
    PmPdRuleItem selectByPrimary(Long ruleNoId);
}
