package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPdSlabInfo;
import com.xisc.pm.domain.entity.PmPdSlabInfoTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.Date;
import java.util.List;

/**
 * 板坯信息表-履历表(PmPdSlabInfoTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-26 11:25:53
 */
public interface PmPdSlabInfoTraRepository extends BaseRepository<PmPdSlabInfoTra> {
    /**
     * 查询
     *
     * @param pmPdSlabInfoTra 查询条件
     * @return 返回值
     */
    List<PmPdSlabInfoTra> selectList(PmPdSlabInfoTra pmPdSlabInfoTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPdSlabInfoTra selectByPrimary(Long traId);

    /**
     * 创建板坯信息履历数据
     *
     * @param pmPdSlabInfoList
     * @param operationType
     * @param operationTime
     * @param operationUser
     * @return
     */
    List<PmPdSlabInfoTra> buildPmPdSlabInfoTraList(List<PmPdSlabInfo> pmPdSlabInfoList, String operationType, Date operationTime, String operationUser);
}
