package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPlateCutLenBtTra;

import java.util.List;

/**
 * 钢板切缝切头尾范围基准表履历表(PmPlateCutLenBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:27:02
 */
public interface PmPlateCutLenBtTraRepository extends BaseRepository<PmPlateCutLenBtTra> {
    /**
     * 查询
     *
     * @param pmPlateCutLenBtTra 查询条件
     * @return 返回值
     */
    List<PmPlateCutLenBtTra> selectList(PmPlateCutLenBtTra pmPlateCutLenBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPlateCutLenBtTra selectByPrimary(Long traId);
}
