package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPlateSpecBtTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 钢板轧制规格基准表履历表(PmPlateSpecBtTra)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-06 08:37:18
 */
public interface PmPlateSpecBtTraRepository extends BaseRepository<PmPlateSpecBtTra> {
    /**
     * 查询
     *
     * @param pmPlateSpecBtTra 查询条件
     * @return 返回值
     */
    List<PmPlateSpecBtTra> selectList(PmPlateSpecBtTra pmPlateSpecBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPlateSpecBtTra selectByPrimary(Long traId);
}
