package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPlateSpecYieldBtTra;

import java.util.List;

/**
 * 钢板轧制规格对应收得率基准表履历表(PmPlateSpecYieldBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 16:38:55
 */
public interface PmPlateSpecYieldBtTraRepository extends BaseRepository<PmPlateSpecYieldBtTra> {
    /**
     * 查询
     *
     * @param pmPlateSpecYieldBtTra 查询条件
     * @return 返回值
     */
    List<PmPlateSpecYieldBtTra> selectList(PmPlateSpecYieldBtTra pmPlateSpecYieldBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPlateSpecYieldBtTra selectByPrimary(Long traId);
}
