package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPlateTrimBtTra;

import java.util.List;

/**
 * 钢板切边量基准表履历表(PmPlateTrimBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 10:38:01
 */
public interface PmPlateTrimBtTraRepository extends BaseRepository<PmPlateTrimBtTra> {
    /**
     * 查询
     *
     * @param pmPlateTrimBtTra 查询条件
     * @return 返回值
     */
    List<PmPlateTrimBtTra> selectList(PmPlateTrimBtTra pmPlateTrimBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPlateTrimBtTra selectByPrimary(Long traId);
}
