package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicyAttr;

import java.util.List;

/**
 * 策略信息扩展表(PmPolicyAttr)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:43:56
 */
public interface PmPolicyAttrRepository extends BaseRepository<PmPolicyAttr> {
    /**
     * 查询
     *
     * @param pmPolicyAttr 查询条件
     * @return 返回值
     */
    List<PmPolicyAttr> selectList(PmPolicyAttr pmPolicyAttr);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyAttrId 主键
     * @return 返回值
     */
    PmPolicyAttr selectByPrimary(Long policyAttrId);
}
