package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicySlabMethod;

import java.util.List;

/**
 * 策略信息与组板方式关系表(PmPolicySlabMethod)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:46:56
 */
public interface PmPolicySlabMethodRepository extends BaseRepository<PmPolicySlabMethod> {
    /**
     * 查询
     *
     * @param pmPolicySlabMethod 查询条件
     * @return 返回值
     */
    List<PmPolicySlabMethod> selectList(PmPolicySlabMethod pmPolicySlabMethod);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policySlabMethodId 主键
     * @return 返回值
     */
    PmPolicySlabMethod selectByPrimary(Long policySlabMethodId);
}
