package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmProdLineCoarseSocre;

import java.util.List;

/**
 * 产线粗分表(PmProdLineCoarseSocre)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-11 09:06:10
 */
public interface PmProdLineCoarseSocreRepository extends BaseRepository<PmProdLineCoarseSocre> {
    /**
     * 查询
     *
     * @param pmProdLineCoarseSocre 查询条件
     * @return 返回值
     */
    List<PmProdLineCoarseSocre> selectList(PmProdLineCoarseSocre pmProdLineCoarseSocre);

    /**
     * 根据主键查询（可关联表）
     *
     * @param prodLineCoarseId 主键
     * @return 返回值
     */
    PmProdLineCoarseSocre selectByPrimary(Long prodLineCoarseId);
}
