package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmProdLineSection;

import java.util.List;

/**
 * 产线断面关系表(PmProdLineSection)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 09:19:38
 */
public interface PmProdLineSectionRepository extends BaseRepository<PmProdLineSection> {
    /**
     * 查询
     *
     * @param pmProdLineSection 查询条件
     * @return 返回值
     */
    List<PmProdLineSection> selectList(PmProdLineSection pmProdLineSection);

    /**
     * 根据主键查询（可关联表）
     *
     * @param prodLineSectionId 主键
     * @return 返回值
     */
    PmProdLineSection selectByPrimary(Long prodLineSectionId);
}
