package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmProdLineSectionSpec;

import java.util.List;

/**
 * 产线断面规格表(PmProdLineSectionSpec)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 09:36:43
 */
public interface PmProdLineSectionSpecRepository extends BaseRepository<PmProdLineSectionSpec> {
    /**
     * 查询
     *
     * @param pmProdLineSectionSpec 查询条件
     * @return 返回值
     */
    List<PmProdLineSectionSpec> selectList(PmProdLineSectionSpec pmProdLineSectionSpec);

    /**
     * 根据主键查询（可关联表）
     *
     * @param prodLineSectionId 主键
     * @return 返回值
     */
    PmProdLineSectionSpec selectByPrimary(Long prodLineSectionId);
}
