package com.xisc.pm.domain.repository;

import java.util.List;

import org.hzero.mybatis.base.BaseRepository;

import com.xisc.pm.domain.vo.QdToLineupResultHeattreatVO;

/**
 * 合同处理热处理工艺标准(QdToLineupResultHeattreat)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-16 08:36:52
 */
public interface PmQdToLineupResultHeattreatRepository extends BaseRepository<QdToLineupResultHeattreatVO> {
    /**
     * 查询
     *
     * @param qdToLineupResultHeattreatVO 查询条件
     * @return 返回值
     */
    List<QdToLineupResultHeattreatVO> selectList(QdToLineupResultHeattreatVO qdToLineupResultHeattreatVO);

    /**
     * 根据主键查询（可关联表）
     *
     * @param lrhId 主键
     * @return 返回值
     */
    QdToLineupResultHeattreatVO selectByPrimary(Long lrhId);
    
    /**
     * 通过合同号和设计产线号查询
     * @param orderNoList
     * @param mscLineNO
     * @return
     */
    List<QdToLineupResultHeattreatVO> selectByOrderListAndMscLineNo(List<String> orderNoList ,String mscLineNo);
}
