package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmRetainStack;

import java.util.List;

/**
 * 仓库交货配置表(PmRetainStack)资源库
 *
 * @author BKGY
 * @since 2024-12-25 08:45:26
 */
public interface PmRetainStackRepository extends BaseRepository<PmRetainStack> {
    /**
     * 查询
     *
     * @param pmRetainStack 查询条件
     * @return 返回值
     */
    List<PmRetainStack> selectList(PmRetainStack pmRetainStack);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmRetainStack selectByPrimary(Long id);
}
