package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSdivStLimitBt;

import java.util.List;

/**
 * 剖分组板钢种限制表(PmSdivStLimitBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:35
 */
public interface PmSdivStLimitBtRepository extends BaseRepository<PmSdivStLimitBt> {
    /**
     * 查询
     *
     * @param pmSdivStLimitBt 查询条件
     * @return 返回值
     */
    List<PmSdivStLimitBt> selectList(PmSdivStLimitBt pmSdivStLimitBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param psslbId 主键
     * @return 返回值
     */
    PmSdivStLimitBt selectByPrimary(Long psslbId);
}
