package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSlabEstaPlanHis;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 组炉编制历史表(PmSlabEstaPlanHis)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2025-01-03 14:11:14
 */
public interface PmSlabEstaPlanHisRepository extends BaseRepository<PmSlabEstaPlanHis> {
    /**
     * 查询
     *
     * @param pmSlabEstaPlanHis 查询条件
     * @return 返回值
     */
    List<PmSlabEstaPlanHis> selectList(PmSlabEstaPlanHis pmSlabEstaPlanHis);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabEstaPlanHis selectByPrimary(Long traId);
}
