package com.xisc.pm.domain.repository;

import java.util.Map;

import org.hzero.mybatis.base.BaseRepository;

import com.xisc.pm.domain.entity.PmSlabHeatDest;

/**
 * 热处理去向
 * 
 * @author jun.zeng
 *
 */
public interface PmSlabHeatDestRepository extends BaseRepository<PmSlabHeatDest> {

    /**
     * 
     * @param slabNo
     * @param heatTreatmentModeList
     * @param tenantId
     */
    void saveSlabHeatDestBySlab(String slabNo, Map<String, String> heatTreatmentModeMap, Long tenantId);

}
