package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabLenConfig;

import java.util.List;

/**
 * 板坯组矩长度配置表(PmSlabLenConfig)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:30:14
 */
public interface PmSlabLenConfigRepository extends BaseRepository<PmSlabLenConfig> {
    /**
     * 查询
     *
     * @param pmSlabLenConfig 查询条件
     * @return 返回值
     */
    List<PmSlabLenConfig> selectList(PmSlabLenConfig pmSlabLenConfig);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSlabLenConfig selectByPrimary(Long id);
}
