package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSlabReplBtTra;

import java.util.List;

/**
 * 余材组板内部钢种以优充次对照表履历表(PmSlabReplBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:30:49
 */
public interface PmSlabReplBtTraRepository extends BaseRepository<PmSlabReplBtTra> {
    /**
     * 查询
     *
     * @param pmSlabReplBtTra 查询条件
     * @return 返回值
     */
    List<PmSlabReplBtTra> selectList(PmSlabReplBtTra pmSlabReplBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmSlabReplBtTra selectByPrimary(Long traId);
}
