package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/21 14:55
 * @description
 */
@Data
public class MatStatusModifyVO implements Serializable {

    @ApiModelProperty("材料号")
    private String matNo;

    @ApiModelProperty("产品标记")
    private String ppFlag;

    @ApiModelProperty("材料状态变更所需参数 - JSON 格式")
    private String matInformationString;

    @ApiModelProperty("抛合同数据")
    private List<EventFeignVO> ctEventList;

    @ApiModelProperty("抛erp数据")
    private List<ErpInterfaceVO> erpInterfaceList;

    @ApiModelProperty("四大命令")
    private List<PmCmdVO> cmdVOList;
}
