package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: 王汉勇
 * @CreateTime: 2024-10-18
 * @Description: 重新剪切指令
 * @Version: 1.0
 */
@Data
public class MmCutSeqVO implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("原来命令板坯号")
    private String oldPoNoSlab;
    @ApiModelProperty("新的命令板坯号")
    private String newPoNoSlab;
    
    @ApiModelProperty("四大命令")
    private List<PmCmdVO> cmdVOList;
}
