package com.xisc.pm.domain.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 轧制产线号信息
 * @author jun.zeng
 *
 */
@Data
public class MmRollingVo implements Serializable {

    private static final long serialVersionUID = -7081624066014782019L;
    
    private String matNo ;
    
    @ApiModelProperty("AD控制模式代码")
    private String adModeCode ;
    
    @ApiModelProperty("轧制方向代码")
    private String rollDirectCode ;
    
    @ApiModelProperty("控轧代码")
    private String ctrlRollCode ;
    
}
