package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel("命令小板表")
public class PmCmdSmallPltVO implements Serializable {

    private static final long serialVersionUID = -86187005730452474L;

    @ApiModelProperty(value = "主键ID")
    private Long pmCmdSmallPltId;

    @ApiModelProperty(value = "命令板坯号")
    private String ponoSlabNo;

    @ApiModelProperty(value = "临时命令板坯号")
    private String tmpSlabNo;

    @ApiModelProperty(value = "小板分割号")
    private String smallPlateDivNo;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "合同顺序号")
    private Long orderSeqNo;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "钢板号")
    private String plateNo;

    @ApiModelProperty(value = "取板方式_宽度方向")
    private Long pickModeWidDir;

    @ApiModelProperty(value = "取板方式_长度方向")
    private Long pickModeLenDir;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty(value = "订货长度下限")
    private BigDecimal orderLenMin;

    @ApiModelProperty(value = "订货长度上限")
    private BigDecimal orderLenMax;

    @ApiModelProperty(value = "小板厚度")
    private BigDecimal smallPlateThick;

    @ApiModelProperty(value = "小板宽度")
    private BigDecimal smallPlateWidth;

    @ApiModelProperty(value = "小板长度")
    private BigDecimal smallPlateLen;

    @ApiModelProperty(value = "奉送样长度")
    private BigDecimal sampleLenGive;

    @ApiModelProperty(value = "奉送样宽度")
    private BigDecimal sampleWidthGive;

    @ApiModelProperty(value = "奉送样形状")
    private BigDecimal sampleGiveShp;

    @ApiModelProperty(value = "自然张取样头部试材长度")
    private BigDecimal sampleHeadLenFree;

    @ApiModelProperty(value = "自然张取样尾部试材长度")
    private BigDecimal sampleTailLenFree;

    @ApiModelProperty(value = "大板取样头部试材长度")
    private BigDecimal sampleHeadLenPlate;

    @ApiModelProperty(value = "大板取样尾部试材长度")
    private BigDecimal sampleTailLenPlate;

    @ApiModelProperty(value = "热处理母板取样头部试材长度")
    private BigDecimal sampleHeadLenMb;

    @ApiModelProperty(value = "热处理母板取样尾部试材长度")
    private BigDecimal sampleTailLenMb;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;


}
