package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
@ApiModel("大板粗切位置表")
public class PmPdPlateCutVO implements Serializable {

    private static final long serialVersionUID = 492884385165185945L;

    @ApiModelProperty("表ID，主键")
    private Long cutId;
    @ApiModelProperty(value = "组板材料号")
    private String pdMatNo;
    @ApiModelProperty(value = "粗切类型（M:搬送用；D:异宽用；P：命令用；H：热分切用）")
    private String cutType;
    @ApiModelProperty(value = "粗切位置（F:固定侧，M:移动侧）")
    private String positionType;
    @ApiModelProperty(value = "位置序号")
    private Long positionSeq;
    @ApiModelProperty(value = "大板粗切长度")
    private BigDecimal cutLength;
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

}
