package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/11/7 9:31
 * @description
 */
@Data
public class PmProdLineCoarseSocreVO implements Serializable {
    private static final long serialVersionUID = -1177885633708611249L;
    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "合同重量")
    private BigDecimal orderWt;

    @ApiModelProperty(value = "轧制产线号")
    private String tmRollPl;

    @ApiModelProperty(value = "长度起")
    private BigDecimal lengthFrom;

    @ApiModelProperty(value = "长度至")
    private BigDecimal lengthTo;

    @ApiModelProperty(value = "厚度起")
    private BigDecimal thickFrom;

    @ApiModelProperty(value = "厚度至")
    private BigDecimal thickTo;

    @ApiModelProperty(value = "宽度起")
    private BigDecimal widFrom;

    @ApiModelProperty(value = "宽度至")
    private BigDecimal widTo;
}
