package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/25 17:05
 */
@Data
public class QdToLineupResultSteelVO implements Serializable {
    private static final long serialVersionUID = 8906624135109379326L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("板坯位置代码")
    private String slabPlaceCode;

    @ApiModelProperty("产线号")
    private String mscLineNo;

    @ApiModelProperty("线膨胀系数")
    private BigDecimal expandQuot;
}
