package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/3 18:03
 */
@Data
public class QeTjBetterToWorseVO implements Serializable {
    private static final long serialVersionUID = 6845586384996510961L;

    @ApiModelProperty("表ID，主键")
    private Long btwId;

    @ApiModelProperty(value = "主工序代码")
    private String mainBacklogCode;

    @ApiModelProperty(value = "优内部钢种")
    private String betterStNo;

    @ApiModelProperty(value = "次内部钢种")
    private String worseStNo;

    @ApiModelProperty(value = "以优充次顺序码")
    private Long betterToWorseSeq;

    @ApiModelProperty(value = "生效标记")
    private String enabledFlag;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
