package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmCmdRecord;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 四大命令履历表(PmCmdRecord)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-11 10:33:07
 */
public interface PmCmdRecordMapper extends BaseMapper<PmCmdRecord> {
    /**
     * 基础查询
     *
     * @param pmCmdRecord 查询条件
     * @return 返回值
     */
    List<PmCmdRecord> selectList(PmCmdRecord pmCmdRecord);
}

