package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmContMscTech;
import io.choerodon.mybatis.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 合同产线工艺参数表(PmContMscTech)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-21 10:58:02
 */
public interface PmContMscTechMapper extends BaseMapper<PmContMscTech> {
    /**
     * 基础查询
     *
     * @param pmContMscTech 查询条件
     * @return 返回值
     */
    List<PmContMscTech> selectList(PmContMscTech pmContMscTech);

    List<PmContMscTech> queryList(@Param(value = "orderNoList") List<String> orderNoList, @Param(value = "tenantId")Long tenantId,
                                  @Param(value = "designProdLineCodeList") List<String> designProdLineCodeList);
}

