package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmIrsubableSlabRequestDTO;
import com.xisc.pm.api.dto.export.PmIrsubableSlabDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmIrsubableSlab;

import java.util.List;

/**
 * 不可替代板坯表(PmIrsubableSlab)应用服务
 *
 * @author BKGY
 * @since 2024-12-20 15:57:37
 */
public interface PmIrsubableSlabMapper extends BaseMapper<PmIrsubableSlab> {
    /**
     * 基础查询
     *
     * @param pmIrsubableSlab 查询条件
     * @return 返回值
     */
    List<PmIrsubableSlab> selectList(PmIrsubableSlabRequestDTO pmIrsubableSlab);

    List<PmIrsubableSlabDTO> exportList(PmIrsubableSlabRequestDTO pmIrsubableSlab);

    List<PmIrsubableSlab> querySaveList(List<String> slabNoList, Long tenantId);

    List<PmIrsubableSlab> checkList(List<String> slabNoList);
}

