package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicyAttr;

import java.util.List;

/**
 * 策略信息扩展表(PmPolicyAttr)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:43:55
 */
public interface PmPolicyAttrMapper extends BaseMapper<PmPolicyAttr> {
    /**
     * 基础查询
     *
     * @param pmPolicyAttr 查询条件
     * @return 返回值
     */
    List<PmPolicyAttr> selectList(PmPolicyAttr pmPolicyAttr);
}

