package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmProductionLineDTO;
import com.xisc.pm.domain.entity.PmProductionLine;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 生产线表(PmProductionLine)应用服务
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:42:01
 */
public interface PmProductionLineMapper extends BaseMapper<PmProductionLine> {
    /**
     * 基础查询
     * @param pmProductionLineDTO 查询条件
     * @return 返回值
     */
    List<PmProductionLineDTO> selectList(Long tenantId, PmProductionLineDTO pmProductionLineDTO);
}

