package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.export.PmRetainStDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmRetainSt;

import java.util.List;

/**
 * 钢种信息配置表(PmRetainSt)应用服务
 *
 * @author BKGY
 * @since 2024-12-24 09:11:14
 */
public interface PmRetainStMapper extends BaseMapper<PmRetainSt> {
    /**
     * 基础查询
     *
     * @param pmRetainSt 查询条件
     * @return 返回值
     */
    List<PmRetainSt> selectList(PmRetainSt pmRetainSt);

    List<PmRetainStDTO> exportList(PmRetainSt pmRetainSt);

    List<PmRetainSt> checkList(List<String> stNoList);
}

