package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.export.PmRetainStackDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmRetainStack;

import java.util.List;

/**
 * 仓库交货配置表(PmRetainStack)应用服务
 *
 * @author BKGY
 * @since 2024-12-25 08:45:26
 */
public interface PmRetainStackMapper extends BaseMapper<PmRetainStack> {
    /**
     * 基础查询
     *
     * @param pmRetainStack 查询条件
     * @return 返回值
     */
    List<PmRetainStack> selectList(PmRetainStack pmRetainStack);

    List<PmRetainStackDTO> exportList(PmRetainStack pmRetainStack);

    List<PmRetainStack> checkList(List<String> orderNoList);
}

