package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.export.PmSgDetermineDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSgDetermine;

import java.util.List;

/**
 * 钢种改判表(PmSgDetermine)应用服务
 *
 * @author BKGY
 * @since 2025-01-17 14:25:14
 */
public interface PmSgDetermineMapper extends BaseMapper<PmSgDetermine> {
    /**
     * 基础查询
     *
     * @param pmSgDetermine 查询条件
     * @return 返回值
     */
    List<PmSgDetermine> selectList(PmSgDetermine pmSgDetermine);

    List<String> checkList(List<String> stNoList);

    List<PmSgDetermineDTO> exportList(PmSgDetermine pmSgDetermine);
}

