package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmSubHisRequestDTO;
import com.xisc.pm.api.dto.PmSubHisResponseDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSubHis;

import java.util.List;

/**
 * 自动替代履历表(PmSubHis)应用服务
 *
 * @author BKGY
 * @since 2024-12-26 09:57:35
 */
public interface PmSubHisMapper extends BaseMapper<PmSubHis> {
    /**
     * 基础查询
     *
     * @param pmSubHisRequestDTO 查询条件
     * @return 返回值
     */
    List<PmSubHis> selectList(PmSubHisRequestDTO pmSubHisRequestDTO);

    List<PmSubHisResponseDTO> selectStatisticsList(PmSubHisRequestDTO pmSubHisRequestDTO);
}

