package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmSubLogRequestDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSubLog;

import java.util.List;

/**
 * 自动替代日志表(PmSubLog)应用服务
 *
 * @author BKGY
 * @since 2024-12-26 15:08:27
 */
public interface PmSubLogMapper extends BaseMapper<PmSubLog> {
    /**
     * 基础查询
     *
     * @param pmSubLogRequestDTO 查询条件
     * @return 返回值
     */
    List<PmSubLog> selectList(PmSubLogRequestDTO pmSubLogRequestDTO);
}

