package com.xisc.pm.infra.mapper;

import com.xisc.pm.api.dto.PmSubOrdResponseDTO;
import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmSubOrd;

import java.util.List;

/**
 * 组板履历合同表(PmSubOrd)应用服务
 *
 * @author BKGY
 * @since 2025-01-02 10:39:47
 */
public interface PmSubOrdMapper extends BaseMapper<PmSubOrd> {
    /**
     * 基础查询
     *
     * @param pmSubOrd 查询条件
     * @return 返回值
     */
    List<PmSubOrd> selectList(PmSubOrd pmSubOrd);

    List<PmSubOrdResponseDTO> selectOrdList(PmSubOrd pmSubOrd);
}

