package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.api.dto.PmPdOperationReRequestDTO;
import com.xisc.pm.api.dto.PmPdOperationReResponseDTO;
import com.xisc.pm.domain.entity.PmPdRec;
import com.xisc.pm.domain.repository.PmPdRecRepository;
import com.xisc.pm.infra.mapper.PmPdRecMapper;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 组板履历表 资源库实现
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-07-31 08:01:11
 */
@Component
public class PmPdRecRepositoryImpl extends BaseRepositoryImpl<PmPdRec> implements PmPdRecRepository {
    @Resource
    private PmPdRecMapper pmPdRecMapper;

    @Override
    public List<PmPdOperationReResponseDTO> selectPdOperationRecord(PmPdOperationReRequestDTO dto, Long tenantId) {
        return pmPdRecMapper.selectPdOperationRecord(dto, tenantId);
    }
}
