package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2025/1/15 9:20
 * @description
 */
@Data
public class CtPrcPredPlanTimeDTO implements Serializable {
    private static final long serialVersionUID = -2416542014371693090L;

    @ApiModelProperty("流向记录ID")
    private Long prcPredPlanTimeId;

    @ApiModelProperty(value = "合约号")
    private String contractNum;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "全程工序代码")
    private String wholeBacklogCode;

    @ApiModelProperty(value = "计划结束日期")
    private Date planEndDate;

    @ApiModelProperty(value = "最晚结束日期")
    private Date latestEndDate;

    @ApiModelProperty(value = "预测结束日期")
    private Date foreEndDate;

    @ApiModelProperty(value = "实际结束日期")
    private Date actEndDate;
}
