package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PmBoardMatInfoDTO {

    @ApiModelProperty("板坯ID")
    private Long slabId ;

    @ApiModelProperty("钢板ID")
    private Long plateId ;
    
    @ApiModelProperty("板坯号")
    private String slabNo ;
    
    @ApiModelProperty("材料号")
    private String matNo ;
    
    @ApiModelProperty("材料长")
    private BigDecimal matActLen ;
    
    @ApiModelProperty("材料宽")
    private BigDecimal matActWidth ;

    @ApiModelProperty("材料宽")
    private BigDecimal matActWid ;
    
    @ApiModelProperty("材料厚")
    private BigDecimal matActThick ;

    @ApiModelProperty("材料厚")
    private BigDecimal matActThk ;

    @ApiModelProperty("材料长")
    private BigDecimal matActLength;

    @ApiModelProperty("材料重")
    private BigDecimal matActWgt;
    
    @ApiModelProperty("牌号")
    private String sgSign ;
    
    @ApiModelProperty("钢种")
    private String stNo ;
    
    @ApiModelProperty("封锁原因")
    private String holdCauseCode ;
    
    @ApiModelProperty("材料状态")
    private String matStatus ;

    @ApiModelProperty("产线")
    private String mscLineNo;

    @ApiModelProperty("综合判定代码")
    private String complexDecideCode;

    @ApiModelProperty("加热炉类型")
    private String furType;

    @ApiModelProperty("组板状态")
    private String ouStatusHp;
    
}
