package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/5 10:10
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabActReqParamDTO implements Serializable {
    private static final long serialVersionUID = -2872562435183439160L;

    @ApiModelProperty("复合类型")
    private String slabType;

    @ApiModelProperty("状态")
    private String statusCode;

    @ApiModelProperty("库区")
    private String stockCode;

    @ApiModelProperty("坯号")
    private String slabNo;

    @ApiModelProperty("创建时间起")
    private Date createDateFrom;

    @ApiModelProperty("创建时间至")
    private Date createDateTo;

    @ApiModelProperty("创建人id")
    private Long createdById;

    @ApiModelProperty("基材号")
    private String baseMatNo;
}
