package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/2 12:22
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmCompositeSlabCopyDTO implements Serializable {
    private static final long serialVersionUID = 5321478039787992485L;

    @ApiModelProperty("数据集合")
    private List<PmCompositeSlabCopyIdDTO> slabIdList;

    @ApiModelProperty("份数")
    private Long copies;
}
