package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PmFinishedProductsServeAsStatisticsDTO {

    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ApiModelProperty(value = "余材钢板组板重量")
    private BigDecimal hpouup;

    @ApiModelProperty(value = "余材钢板组板数量")
    private Long hpouupn;

    @ApiModelProperty(value = "3.8米余材钢板组板重量")
    private BigDecimal hpouup3m;

    @ApiModelProperty(value = "3.8米余材钢板组板数量")
    private Long hpouupn3m;

    @ApiModelProperty(value = "5米余材钢板组板重量")
    private BigDecimal hpouup5m;

    @ApiModelProperty(value = "5米余材钢板组板数量")
    private Long hpouupn5m;

    @ApiModelProperty(value = "余材钢板直接充当重量")
    private BigDecimal hpoaup;

    @ApiModelProperty(value = "余材钢板直接充当数量")
    private Long sghpoaupnSign;

    @ApiModelProperty(value = "3.8米余材钢板直接充当重量")
    private BigDecimal hpoaup3m;

    @ApiModelProperty(value = "3.8米余材钢板直接充当数量")
    private Long hpoaupn3m;

    @ApiModelProperty(value = "5米余材钢板直接充当重量")
    private BigDecimal hpoaup5m;

    @ApiModelProperty(value = "5米余材钢板直接充当数量")
    private Long hpoaupn5m;

    @ApiModelProperty(value = "钢板充当总重")
    private BigDecimal hjp;

    @ApiModelProperty(value = "余材板坯组板重量")
    private BigDecimal smouup;

    @ApiModelProperty(value = "余材板坯组板数量")
    private Long smouupn;

    @ApiModelProperty(value = "余材板坯直接充当重量")
    private BigDecimal smoaup;

    @ApiModelProperty(value = "余材板坯直接充当数量")
    private Long smoaupn;

    @ApiModelProperty(value = "板坯充当总重")
    private BigDecimal hjs;

    @ApiModelProperty(value = "合计重量")
    private BigDecimal hj;

    @ApiModelProperty(value = "合计数量")
    private Long hjn;

}
