package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/5 10:12
 * @description
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmOrderOverDTO  implements Serializable {
    private static final long serialVersionUID = -3278996456838032994L;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "合约号")
    private String contractNum;

    @ApiModelProperty(value = "重量")
    private BigDecimal wgt;

    @ApiModelProperty(value = "件数")
    private BigDecimal num;

    @ApiModelProperty(value = "超投标记")
    private String overFlag;

}
