package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/27 9:06
 */
@Data
public class PmPdCcSlabReqDetailDTO implements Serializable {
    private static final long serialVersionUID = 1694039995448372876L;

    @ApiModelProperty("组板状态")
    private String pdStatus;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("组板材料号")
    private String virtualSlabNo;

    @ApiModelProperty("计划员")
    private List<String> pdResp;

    @ApiModelProperty("板坯厚度")
    private String moldThick;

    @ApiModelProperty("板坯宽度")
    private String moldWidth;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "是否自动组板")
    private String autoManualFlag;

    @ApiModelProperty(value = "创建时间起")
    private Date createDateFrom;

    @ApiModelProperty(value = "创建时间至")
    private Date createDateTo;

}
