package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class PmPdRecRequestDTO implements Serializable {

    private static final long serialVersionUID = -4602120757828972859L;

    @ApiModelProperty("事件时间起")
    private Date creationDateFrom;

    @ApiModelProperty("事件时间止")
    private Date creationDateTo;

    @ApiModelProperty("事件号")
    private String trackSeqNo;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("员工编号")
    private String eventMaker;

    private Long tenantId;
}

