package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/10/16 10:58
 * @description
 */
@Data
public class PmPolicyReqDTO implements Serializable {
    private static final long serialVersionUID = 4389903968190844110L;

    @ApiModelProperty("策略编码")
    private String policyCode;

    @ApiModelProperty("内部钢种")
    private String stNo;

    @ApiModelProperty("重要客户")
    private String customerCode;

    @ApiModelProperty("是否倒置")
    private String invertedFlag;

    @ApiModelProperty("产线id")
    private Long prodLineId;

    // 断面
    @ApiModelProperty("断面厚")
    private String moldThick;

    @ApiModelProperty("断面宽")
    private String moldWid;
}
