package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/3 14:33
 * @description
 */
@Data
public class PmQueryIsSampleDTO implements Serializable {
    private static final long serialVersionUID = 1991168281149744160L;

    @ApiModelProperty(value = "材料类型")
    private String matType;

    @ApiModelProperty("钢板号")
    private String plateNo;

    @ApiModelProperty("命令板坯号")
    private String ponoSlabNo;

    @ApiModelProperty("是否代表板标记(1/0)")
    private String isSample;

    @ApiModelProperty("奉送样长度")
    private BigDecimal sampleLenGive;

    @ApiModelProperty("奉送样形状")
    private String sampleGiveShp;
}


