package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/10/14 9:19
 */
@Data
public class PmRuntimeContractThickDTO implements Serializable {
    private static final long serialVersionUID = -5412064601777351448L;

    @ApiModelProperty("厚度起")
    private BigDecimal thickthFrom;

    @ApiModelProperty("厚度至")
    private BigDecimal thickthTo;

    @ApiModelProperty("宽度信息")
    private List<PmRuntimeContractWidthDTO> widthList;


}
