package com.xisc.pm.api.dto;

import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 自动替代配置表(PmAutoSubSetting)实体类
 *
 * @author BKGY
 * @since 2024-12-27 08:56:21
 */

@ApiModel("自动替代配置表")
@Data
public class PmSgDetermineImportDTO extends AuditDomain implements Serializable {


    @ApiModelProperty(value = "钢种")
    private String stNo;

    @ApiModelProperty(value = "衔接钢种")
    private String linkupStNo;

    @ApiModelProperty(value = "改判钢种1")
    private String alterableStNo1;

    @ApiModelProperty(value = "改判钢种2")
    private String alterableStNo2;

    @ApiModelProperty(value = "改判钢种3")
    private String alterableStNo3;

    @ApiModelProperty(value = "改判钢种4")
    private String alterableStNo4;

    @ApiModelProperty(value = "改判钢种5")
    private String alterableStNo5;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;




}



