package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/15 16:57
 */
@Data
public class PmSlabEstaPlanDissoDTO implements Serializable {
    private static final long serialVersionUID = -3009251653838531053L;

    @ApiModelProperty("预定castLost号")
    private List<String> precCastLotNoList;

    @ApiModelProperty("预定制造命令号")
    private List<String> prePonoList;

    @ApiModelProperty("解散到组矩(N)、解散到组板(Y)")
    private String isBoard;
}
