package com.xisc.pm.api.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/28 15:03
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class PmSmallPltPosDTO implements Serializable {
    private static final long serialVersionUID = -8857903755456843604L;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("合同序号")
    private Long orderSeqNo;

    @ApiModelProperty("取板方式_宽度方向")
    private Long pickModeWidDir;

    @ApiModelProperty("取板方式_长度方向")
    private Long pickModeLenDir;

    @ApiModelProperty("订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty("订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty("订货长度")
    private BigDecimal orderLen;
}
