package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author BKGY  MYT
 */
@Data
@ApiModel("自动组板履历传参DTO")
public class PmSubHisRequestDTO {

    @ApiModelProperty(value = "组板时间起")
    private String subTimeFrom;

    @ApiModelProperty(value = "组板时间止")
    private String subTimeTo;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "组板方式")
    private String formPlateMode;

    @ApiModelProperty(value = "处理结果")
    private String subResult;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private Long id;
}
