package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author BKGY  MYT
 */
@Data
@ApiModel("自动组板日志传参DTO")
public class PmSubLogRequestDTO {
    
    private Long id;

    @ApiModelProperty(value = "时间起")
    private Data subDateFrom;

    @ApiModelProperty(value = "时间止")
    private Data subDateTo;

    @ApiModelProperty(value = "板坯号")
    private String slabNo;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
