package com.xisc.pm.api.dto;

import java.io.Serializable;
import java.util.List;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 试样添加-返回生产实体类
 * @since 2024-08-26 13:58:53
 */
@Getter
@Setter
@ToString
public class ProductionResponseDTO implements Serializable {


    private static final long serialVersionUID = 1104985246240067100L;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 正常取样
     */
    private List<ProductionTypePResponseDTO> productionTypeP;

    /**
     * 张张板取样
     */
    private List<ProductionTypeBResponseDTO> productionTypeB;

    /**
     * 奉送样
     */
    private List<ProductionTypeGiveResponseDTO> productionTypeGive;
    
}