package com.xisc.pm.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/25 9:27
 */
@Data
public class QdToPoOrderDTO implements Serializable {
    private static final long serialVersionUID = -5253980409618976312L;

    @ApiModelProperty(value = "合同号")
    private String orderNo;

    @ApiModelProperty(value = "合同性质")
    private String orderTypeCode;

    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ApiModelProperty(value = "订货厚度")
    private BigDecimal orderThick;

    @ApiModelProperty(value = "订货宽度")
    private BigDecimal orderWidth;

    @ApiModelProperty(value = "订货长度")
    private BigDecimal orderLen;

    @ApiModelProperty(value = "订货件数")
    private Long orderNum;

    @ApiModelProperty(value = "收货单位")
    private String consignCustCname;

    @ApiModelProperty("内部钢种")
    private String stNo;

}
