package com.xisc.pm.api.dto.ctevent;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/9/14 17:12
 */
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class PmDissolveGroupBoardDTO implements Serializable {
    private static final long serialVersionUID = -2275019782143740135L;

    @ApiModelProperty("母材料号（虚拟板坯号/板坯号）")
    private String moMatNo;

    @ApiModelProperty("虚拟板坯号")
    private String matNo;

    @ApiModelProperty("产品标记")
    private Integer ppFlag;

    @ApiModelProperty("合同材/余材标记(1合同材/余材2")
    private String ordFlag;

    @ApiModelProperty("是否有效(1有效/0无效)")
    private String enableFlag;

}
