package com.xisc.pm.api.dto.ctevent;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 产线变更
 * @author jun.zeng
 *
 */
@Data
public class PmLineNoChangeDTO implements Serializable {

    private static final long serialVersionUID = 6341138713677471185L;
    
    public PmLineNoChangeDTO(String matNo, String mscLineNo, Integer ppFlag , String ponoSlabNo) {
        super();
        this.matNo = matNo;
        this.mscLineNo = mscLineNo;
        this.ppFlag = ppFlag;
        this.ponoSlab = ponoSlabNo ;
    }
    
    public PmLineNoChangeDTO() {
    }

    @ApiModelProperty("材料号")
    private String matNo ;
    
    @ApiModelProperty("去向产线号")
    private String mscLineNo ;
    
    @ApiModelProperty("产品标记")
    private Integer ppFlag ;
    
    @ApiModelProperty("制造命令号")
    private String ponoSlab ;
    
}
