package com.xisc.pm.app.service;


import com.xisc.pm.api.dto.InterfaceReceiveDTO;

/**
 * fileName: InterfaceReceiveService
 * description: 二级接口接收
 * history:
 *
 * @author 张建元 jianyuan.zhang@hand-china.com
 * @version 1.0.0
 * @since 2024-08-27 15:59
 */
public interface InterfaceReceiveService {
    /**
     * 二级接口接收
     *
     * @param tenantId 租户ID
     * @param dto      二级接口数据格式
     */
    void receiveInterface(Long tenantId, InterfaceReceiveDTO dto);
}
