package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmCutPlaceBtTra;

import java.util.List;

/**
 * 粗切位置决定基准表履历表(PmCutPlaceBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 08:41:00
 */
public interface PmCutPlaceBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmCutPlaceBtTras 查询条件
     * @return 返回值
     */
    Page<PmCutPlaceBtTra> selectList(PageRequest pageRequest, PmCutPlaceBtTra pmCutPlaceBtTras);

    /**
     * 保存数据
     *
     * @param pmCutPlaceBtTras 数据
     */
    void saveData(List<PmCutPlaceBtTra> pmCutPlaceBtTras);

}

