package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmHotConfigTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 组炉默认热处理去向配置表履历表(PmHotConfigTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:24
 */
public interface PmHotConfigTraService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmHotConfigTras 查询条件
     * @return 返回值
     */
    Page<PmHotConfigTra> selectList(PageRequest pageRequest, PmHotConfigTra pmHotConfigTras);

    /**
     * 保存数据
     *
     * @param pmHotConfigTras 数据
     */
    void saveData(List<PmHotConfigTra> pmHotConfigTras);

}

