package com.xisc.pm.app.service;

import com.xisc.pm.domain.entity.PmHtolStaticTra;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;

import java.util.List;

/**
 * 以优充次静态表履历表(PmHtolStaticTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:07:54
 */
public interface PmHtolStaticTraService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmHtolStaticTras 查询条件
     * @return 返回值
     */
    Page<PmHtolStaticTra> selectList(PageRequest pageRequest, PmHtolStaticTra pmHtolStaticTras);

    /**
     * 保存数据
     *
     * @param pmHtolStaticTras 数据
     */
    void saveData(List<PmHtolStaticTra> pmHtolStaticTras);

}

