package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmPdConstBtTra;

import java.util.List;

/**
 * 组板常数基准表履历表(PmPdConstBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 09:08:43
 */
public interface PmPdConstBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest     分页参数
     * @param pmPdConstBtTras 查询条件
     * @return 返回值
     */
    Page<PmPdConstBtTra> selectList(PageRequest pageRequest, PmPdConstBtTra pmPdConstBtTras);

    /**
     * 保存数据
     *
     * @param pmPdConstBtTras 数据
     */
    void saveData(List<PmPdConstBtTra> pmPdConstBtTras);

}

