package com.xisc.pm.app.service;

import com.xisc.pm.app.service.autoboard.dto.PmAutoBoardPolicyGroupDTO;
import com.xisc.pm.domain.entity.PmPolicyGroup;
import com.xisc.pm.domain.entity.PmPolicyGroupAttr;
import com.xisc.pm.domain.entity.PmRequestInfo;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
/**
 * 请求信息表应用服务
 *
 * @author jun.zeng 2024-11-25 14:51:07
 */
public interface PmRequestInfoService {

    /**
    * 请求信息表查询参数
    *
    * @param tenantId 租户ID
    * @param pmRequestInfo 请求信息表
    * @param pageRequest 分页
    * @return 请求信息表列表
    */
    Page<PmRequestInfo> list(Long tenantId, PmRequestInfo pmRequestInfo, PageRequest pageRequest);
    
    /**
     * 
     * @param pmPolicyGroup
     * @param tenantId
     */
    PmRequestInfo createAutoBoardReqeust(PmAutoBoardPolicyGroupDTO policyGroup, String requestType, PmPolicyGroup pmPolicyGroup, PmPolicyGroupAttr pmPolicyGroupAttr , Long tenantId) ;

}
