package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabEstaPlanHis;

import java.util.List;

/**
 * 组炉编制历史表(PmSlabEstaPlanHis)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 15:19:22
 */
public interface PmSlabEstaPlanHisService {

    /**
     * 查询数据
     *
     * @param pageRequest        分页参数
     * @param pmSlabEstaPlanHiss 查询条件
     * @return 返回值
     */
    Page<PmSlabEstaPlanHis> selectList(PageRequest pageRequest, PmSlabEstaPlanHis pmSlabEstaPlanHiss);

    /**
     * 保存数据
     *
     * @param pmSlabEstaPlanHiss 数据
     */
    void saveData(List<PmSlabEstaPlanHis> pmSlabEstaPlanHiss);

}

