package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabMerge;

import java.util.List;

/**
 * 组炉板坯合并表(PmSlabMerge)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-04 15:13:40
 */
public interface PmSlabMergeService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmSlabMerges 查询条件
     * @return 返回值
     */
    Page<PmSlabMerge> selectList(PageRequest pageRequest, PmSlabMerge pmSlabMerges);

    /**
     * 保存数据
     *
     * @param pmSlabMerges 数据
     */
    void saveData(List<PmSlabMerge> pmSlabMerges);

}

