package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSlabPoolInHis;

import java.util.List;

/**
 * 组炉收池历史表(PmSlabPoolInHis)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-15 16:25:18
 */
public interface PmSlabPoolInHisService {

    /**
     * 查询数据
     *
     * @param pageRequest      分页参数
     * @param pmSlabPoolInHiss 查询条件
     * @return 返回值
     */
    Page<PmSlabPoolInHis> selectList(PageRequest pageRequest, PmSlabPoolInHis pmSlabPoolInHiss);

    /**
     * 保存数据
     *
     * @param pmSlabPoolInHiss 数据
     */
    void saveData(List<PmSlabPoolInHis> pmSlabPoolInHiss);

}

