package com.xisc.pm.app.service;

import com.xisc.pm.api.dto.PmSubLogRequestDTO;
import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmSubLog;

import java.util.List;

/**
 * 自动替代日志表(PmSubLog)应用服务
 *
 * @author BKGY
 * @since 2024-12-26 15:08:28
 */
public interface PmSubLogService {

    /**
     * 查询数据
     *
     * @param pageRequest 分页参数
     * @param pmSubLogs   查询条件
     * @return 返回值
     */
    Page<PmSubLog> selectList(PageRequest pageRequest, PmSubLogRequestDTO pmSubLogRequestDTO);

    /**
     * 保存数据
     *
     * @param pmSubLogs 数据
     */
    void saveData(List<PmSubLog> pmSubLogs);

}

