package com.xisc.pm.app.service;

import io.choerodon.core.domain.Page;
import io.choerodon.mybatis.pagehelper.domain.PageRequest;
import com.xisc.pm.domain.entity.PmWmWwBtTra;

import java.util.List;

/**
 * 厚板产线_命令余材长度基准表-履历表(PmWmWwBtTra)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-11 15:03:16
 */
public interface PmWmWwBtTraService {

    /**
     * 查询数据
     *
     * @param pageRequest  分页参数
     * @param pmWmWwBtTras 查询条件
     * @return 返回值
     */
    Page<PmWmWwBtTra> selectList(PageRequest pageRequest, PmWmWwBtTra pmWmWwBtTras);

    /**
     * 保存数据
     *
     * @param pmWmWwBtTras 数据
     */
    void saveData(List<PmWmWwBtTra> pmWmWwBtTras);

}

