package com.xisc.pm.domain.repository;

import java.util.Set;

import org.hzero.mybatis.base.BaseRepository;

import com.xisc.pm.domain.entity.MmHtmrslt;

/**
 * 热处理实绩表资源库
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-27 13:39:27
 */
public interface MmHtmrsltRepository extends BaseRepository<MmHtmrslt> {

    /**
     * 通过材料号查询实绩代码
     * 
     * @param matNo
     * @param tenantId
     * @return
     */
    Set<String> getHotTreatMethodByMatNo(String matNo, Long tenantId);

}
