package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmAxisBrdTrimBtTra;

import java.util.List;

/**
 * 纵轧展宽宽度余量基准表-履历表(PmAxisBrdTrimBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-23 09:39:29
 */
public interface PmAxisBrdTrimBtTraRepository extends BaseRepository<PmAxisBrdTrimBtTra> {
    /**
     * 查询
     *
     * @param pmAxisBrdTrimBtTra 查询条件
     * @return 返回值
     */
    List<PmAxisBrdTrimBtTra> selectList(PmAxisBrdTrimBtTra pmAxisBrdTrimBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmAxisBrdTrimBtTra selectByPrimary(Long traId);
}
