package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmCmdRecord;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 四大命令履历表(PmCmdRecord)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-11 10:33:07
 */
public interface PmCmdRecordRepository extends BaseRepository<PmCmdRecord> {
    /**
     * 查询
     *
     * @param pmCmdRecord 查询条件
     * @return 返回值
     */
    List<PmCmdRecord> selectList(PmCmdRecord pmCmdRecord);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmCmdRecordId 主键
     * @return 返回值
     */
    PmCmdRecord selectByPrimary(Long pmCmdRecordId);
}
