package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.vo.CtDetVO;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 合同跟踪详细表(CtDet)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:48:38
 */
public interface PmCtDetRepository extends BaseRepository<CtDetVO> {
    /**
     * 查询
     *
     * @param ctDetVO 查询条件
     * @return 返回值
     */
    List<CtDetVO> selectList(CtDetVO ctDetVO);

    /**
     * 根据主键查询（可关联表）
     *
     * @param detId 主键
     * @return 返回值
     */
    CtDetVO selectByPrimary(Long detId);
}
