package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHeatTreatFurnaceBtTra;

import java.util.List;

/**
 * 热处理炉基准规格表履历表(PmHeatTreatFurnaceBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 12:25:00
 */
public interface PmHeatTreatFurnaceBtTraRepository extends BaseRepository<PmHeatTreatFurnaceBtTra> {
    /**
     * 查询
     *
     * @param pmHeatTreatFurnaceBtTra 查询条件
     * @return 返回值
     */
    List<PmHeatTreatFurnaceBtTra> selectList(PmHeatTreatFurnaceBtTra pmHeatTreatFurnaceBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmHeatTreatFurnaceBtTra selectByPrimary(Long traId);
}
