package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHotConfig;

import java.util.List;

/**
 * 组炉默认热处理去向配置表(PmHotConfig)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 10:19:07
 */
public interface PmHotConfigRepository extends BaseRepository<PmHotConfig> {
    /**
     * 查询
     *
     * @param pmHotConfig 查询条件
     * @return 返回值
     */
    List<PmHotConfig> selectList(PmHotConfig pmHotConfig);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmHotConfig selectByPrimary(Long id);
}
