package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmHotDestTra;

import java.util.List;

/**
 * 修改炼钢炉次计划热处理去向履历表(PmTpssmHotLog)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-08-19 15:14:00
 */
public interface PmHotDestTraRepository extends BaseRepository<PmHotDestTra> {
    /**
     * 查询
     *
     * @param pmTpssmHotLog 查询条件
     * @return 返回值
     */
    List<PmHotDestTra> selectList(PmHotDestTra pmTpssmHotLog);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmHotDestTra selectByPrimary(Long id);
}
