package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmIrsubableContRequestDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmIrsubableCont;

import java.util.List;

/**
 * 不可替代订单表(PmIrsubableCont)资源库
 *
 * @author BKGY
 * @since 2024-12-16 15:44:40
 */
public interface PmIrsubableContRepository extends BaseRepository<PmIrsubableCont> {
    /**
     * 查询
     *
     * @param pmIrsubableCont 查询条件
     * @return 返回值
     */
    List<PmIrsubableCont> selectList(PmIrsubableContRequestDTO pmIrsubableCont);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmIrsubableCont selectByPrimary(Long id);
}
