package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPlateSpecYieldBt;

import java.util.List;

/**
 * 钢板轧制规格对应收得率基准表(PmPlateSpecYieldBt)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 16:29:24
 */
public interface PmPlateSpecYieldBtRepository extends BaseRepository<PmPlateSpecYieldBt> {
    /**
     * 查询
     *
     * @param pmPlateSpecYieldBt 查询条件
     * @return 返回值
     */
    List<PmPlateSpecYieldBt> selectList(PmPlateSpecYieldBt pmPlateSpecYieldBt);

    /**
     * 根据主键查询（可关联表）
     *
     * @param ppsybId 主键
     * @return 返回值
     */
    PmPlateSpecYieldBt selectByPrimary(Long ppsybId);
}
