package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPnsort;

import java.util.List;

/**
 * 组炉规则配置表(PmPnsort)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-11 15:59:47
 */
public interface PmPnsortRepository extends BaseRepository<PmPnsort> {
    /**
     * 查询
     *
     * @param pmPnsort 查询条件
     * @return 返回值
     */
    List<PmPnsort> selectList(PmPnsort pmPnsort);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmPnsort selectByPrimary(Long id);
}
