package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPnsortTra;

import java.util.List;

/**
 * 组炉规则配置表-履历表(PmPnsortTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-09-11 16:00:12
 */
public interface PmPnsortTraRepository extends BaseRepository<PmPnsortTra> {
    /**
     * 查询
     *
     * @param pmPnsortTra 查询条件
     * @return 返回值
     */
    List<PmPnsortTra> selectList(PmPnsortTra pmPnsortTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmPnsortTra selectByPrimary(Long traId);
}
