package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmPolicyGrKpi;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 策略组与评价指标关系表(PmPolicyGrKpi)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-11-08 12:29:12
 */
public interface PmPolicyGrKpiRepository extends BaseRepository<PmPolicyGrKpi> {
    /**
     * 查询
     *
     * @param pmPolicyGrKpi 查询条件
     * @return 返回值
     */
    List<PmPolicyGrKpi> selectList(PmPolicyGrKpi pmPolicyGrKpi);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyGroupKpiId 主键
     * @return 返回值
     */
    PmPolicyGrKpi selectByPrimary(Long policyGroupKpiId);

    /**
     * 
     * @param policyGroupId
     * @param tenantId
     * @return
     */
    List<PmPolicyGrKpi>  selectByGroupId(Long policyGroupId, Long tenantId);
}
