package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPolicyKpi;

import java.util.List;

/**
 * 策略信息与评价指标关系表(PmPolicyKpi)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:44:41
 */
public interface PmPolicyKpiRepository extends BaseRepository<PmPolicyKpi> {
    /**
     * 查询
     *
     * @param pmPolicyKpi 查询条件
     * @return 返回值
     */
    List<PmPolicyKpi> selectList(PmPolicyKpi pmPolicyKpi);

    /**
     * 根据主键查询（可关联表）
     *
     * @param policyKpiId 主键
     * @return 返回值
     */
    PmPolicyKpi selectByPrimary(Long policyKpiId);
}
