package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPonoWtStaticGd;

import java.util.List;

/**
 * 炉重静态表_钢锭(PmPonoWtStaticGd)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:41:25
 */
public interface PmPonoWtStaticGdRepository extends BaseRepository<PmPonoWtStaticGd> {
    /**
     * 查询
     *
     * @param pmPonoWtStaticGd 查询条件
     * @return 返回值
     */
    List<PmPonoWtStaticGd> selectList(PmPonoWtStaticGd pmPonoWtStaticGd);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmPonoWtStaticGdId 主键
     * @return 返回值
     */
    PmPonoWtStaticGd selectByPrimary(Long pmPonoWtStaticGdId);
}
