package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmPonoWtStatic;

import java.util.List;

/**
 * 炉重静态表(PmPonoWtStatic)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 09:12:13
 */
public interface PmPonoWtStaticRepository extends BaseRepository<PmPonoWtStatic> {
    /**
     * 查询
     *
     * @param pmPonoWtStatic 查询条件
     * @return 返回值
     */
    List<PmPonoWtStatic> selectList(PmPonoWtStatic pmPonoWtStatic);

    /**
     * 根据主键查询（可关联表）
     *
     * @param pmPonoWtStaticId 主键
     * @return 返回值
     */
    PmPonoWtStatic selectByPrimary(Long pmPonoWtStaticId);
}
