package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmSteelCastSlabItf;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 炼钢连铸制造命令板坯-接口表(PmSteelCastSlabItf)资源库
 *
 * @author jie.yang04@hand-chian.com
 * @since 2024-10-15 10:30:28
 */
public interface PmSteelCastSlabItfRepository extends BaseRepository<PmSteelCastSlabItf> {
    /**
     * 查询
     * @param pmSteelCastSlabItf 查询条件
     * @return 返回值
     */
    List<PmSteelCastSlabItf> selectList(PmSteelCastSlabItf pmSteelCastSlabItf);

    /**
     * 根据主键查询（可关联表）
     * @param itfId 主键
     * @return 返回值
     */
    PmSteelCastSlabItf selectByPrimary(Long itfId);

    /**
     * 根据板坯号查询
     * @param slabNoList
     * @param tenantId
     * @return
     */
    List<PmSteelCastSlabItf> selectBySlabNoList(List<String> slabNoList, Long tenantId);
}
