package com.xisc.pm.domain.repository;

import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSteelTypeGroup;

import java.util.List;

/**
 * 钢种组信息维护(PmSteelTypeGroup)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 13:31:26
 */
public interface PmSteelTypeGroupRepository extends BaseRepository<PmSteelTypeGroup> {
    /**
     * 查询
     *
     * @param pmSteelTypeGroup 查询条件
     * @return 返回值
     */
    List<PmSteelTypeGroup> selectList(PmSteelTypeGroup pmSteelTypeGroup);

    /**
     * 根据主键查询（可关联表）
     *
     * @param steelGroupId 主键
     * @return 返回值
     */
    PmSteelTypeGroup selectByPrimary(Long steelGroupId);
}
