package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.PmSubLogRequestDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSubLog;

import java.util.List;

/**
 * 自动替代日志表(PmSubLog)资源库
 *
 * @author BKGY
 * @since 2024-12-26 15:08:27
 */
public interface PmSubLogRepository extends BaseRepository<PmSubLog> {
    /**
     * 查询
     *
     * @param pmSubLogRequestDTO 查询条件
     * @return 返回值
     */
    List<PmSubLog> selectList(PmSubLogRequestDTO pmSubLogRequestDTO);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSubLog selectByPrimary(Long id);
}
