package com.xisc.pm.domain.repository;

import com.xisc.pm.domain.entity.PmThickAddvBtTra;
import org.hzero.mybatis.base.BaseRepository;

import java.util.List;

/**
 * 钢板厚度余量基准表履历表(PmThickAddvBtTra)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-06 08:41:57
 */
public interface PmThickAddvBtTraRepository extends BaseRepository<PmThickAddvBtTra> {
    /**
     * 查询
     *
     * @param pmThickAddvBtTra 查询条件
     * @return 返回值
     */
    List<PmThickAddvBtTra> selectList(PmThickAddvBtTra pmThickAddvBtTra);

    /**
     * 根据主键查询（可关联表）
     *
     * @param traId 主键
     * @return 返回值
     */
    PmThickAddvBtTra selectByPrimary(Long traId);
}
