package com.xisc.pm.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024/8/9 10:20
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
public class QdToPoLineCombVO implements Serializable {
    private static final long serialVersionUID = 7007348439513462329L;

    @ApiModelProperty("产线")
    private String mscLineNo;

    @ApiModelProperty("全程工序途径码")
    private String wholeBacklog;

    @ApiModelProperty("合同号")
    private String orderNo;

    @ApiModelProperty("钢级")
    private String stGrade;

    @ApiModelProperty("钢种")
    private String stNo;

    @ApiModelProperty("厚板流向代码")
    private String plateDtCode;
}
