package com.xisc.pm.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @date 2024/12/27 11:46
 * @description
 */
@Data
public class WmInStockVO implements Serializable {
    private static final long serialVersionUID = -5795362147848717599L;
    @ApiModelProperty(value = "材料ID")
    private Long matId;

    @ApiModelProperty(value = "材料号")
    private String matNo;

    @ApiModelProperty(value = "库区代码")
    private String stockCode;

    @ApiModelProperty(value = "物料种类（HP CR HR SM WR EM）（钢板、板坯）")
    private String matKind;

    @ApiModelProperty(value = "垛位号")
    private String pileNo;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    @ApiModelProperty(value = "库区产线")
    private String stockLine;

    @ApiModelProperty("事件类型")
    private String eventType;

    @ApiModelProperty("生成时刻")
    private Date prodTime;
}
