package com.xisc.pm.infra.constant;

/**
 * Utils
 */
public class RuleSetConstants {

    private RuleSetConstants() {
    }
    public static final String ZERO = "0";
    // 组板参数
    public static final String PD_PARAM = "pdParam"; 

    /***************** 实体表定义 ********************/
    // 产线工艺参数
    public static final String PM_CONT_MSC_TECH = "PM_CONT_MSC_TECH";
    // 合同属性
    public static final String PM_PRO_CONT_PROD_ATTR = "PM_PRO_CONT_PROD_ATTR";
    // 生产合同
    public static final String PM_PRO_CONT = "PM_PRO_CONT";

    public static final String PM_SLAB_SPEC_BT = "PM_SLAB_SPEC_BT";

    public static final String PM_MIN_THICK_TOL_BT = "PM_MIN_THICK_TOL_BT";

    // 轴合同-产线工艺参数
    public static final String AXIS_PM_CONT_MSC_TECH = "AXIS_PM_CONT_MSC_TECH";
    // 轴合同-合同属性
    public static final String AXIS_PM_PRO_CONT_PROD_ATTR = "AXIS_PM_PRO_CONT_PROD_ATTR";
    // 轴合同-生产合同
    public static final String AXIS_PM_PRO_CONT = "AXIS_PM_PRO_CONT";

    // 合同属性集合
    public static final String PM_PRO_CONT_PROD_ATTR_LIST = "PM_PRO_CONT_PROD_ATTR_LIST";
    // 产线工艺参数集合
    public static final String PM_CONT_MSC_TECH_LIST = "PM_CONT_MSC_TECH_LIST";
    
    // 余材钢板主数据表
    public static final String MM_PLATE = "MM_PLATE";


    /*********************关键字段定义*************************/
    
    // 合同号
    public static final String ORDER_NO = "ORDER_NO";
    public static final String ORDER_NO_SET = "ORDER_NO_SET";
    // 产线号
    public static final String MSC_LINE_NO = "MSC_LINE_NO";
    // 轧制产线号
    public static final String ROLL_LINE_NO = "ROLL_LINE_NO";
    // 结晶器厚
    public static final String MOLD_THICK = "MOLD_THICK";
    // 结晶器宽
    public static final String MOLD_WIDTH = "MOLD_WIDTH";
    // 组合板长
    public static final String COMBINE_PLATE_LEN = "COMBINE_PLATE_LEN";
    // 组合板宽
    public static final String COMBINE_PLATE_WIDTH = "COMBINE_PLATE_WIDTH";
    // 轧制目标长度
    public static final String LAIM = "LAIM";
    public static final String WAIM = "WAIM";
    public static final String TAIM = "TAIM";

    public static final String INFUR_SLAB_LEN = "INFUR_SLAB_LEN";
    
    public static final String NEED_SLAB_LEN = "NEED_SLAB_LEN";

    public static final String INFUR_SLAB_THICK = "INFUR_SLAB_THICK";

    public static final String INFUR_SLAB_WID = "INFUR_SLAB_WID";

    public static final String ST_NO = "ST_NO";
    public static final String CALC_REQUEST = "CALC_REQUEST";

    // 加热炉类型
    public static final String FUR_TYPE = "FUR_TYPE";
    // 连铸机类型
    public static final String CC_TYPE = "CC_TYPE";
    // 材料设计类型mat_design_kind
    public static final String MAT_DESIGN_KIND = "MAT_DESIGN_KIND";

    public static final String TENANT_ID = "TENANT_ID";

    //试样添加类型-出钢材
    public static final String OUT_STEEL = "outSteel";
    //试样添加类型-余材板坯
    public static final String SURPLUS_SLAB = "surplusSlab";
    //试样添加类型-余材钢板
    public static final String SURPLUS_STEEL_PLATE = "surplusSteelPlate";


    // 轧制方向
    public static final String ROLL_DIRECT_CODE = "ROLL_DIRECT_CODE";

    //轧制方式
    public static final String ROLL_MODE = "ROLL_MODE";

    // 组版方式
    public static final String FORM_PLATE_MODE = "FORM_PLATE_MODE";
    // 契型版型

    //材料号
    public static final String MAT_NO = "MAT_NO";
    public static final String PONO = "pono";
    // RS CODE
    public static final String RS_CODE = "RS_CODE";
    // 转置标记
    public static final String TRANS_FLAG = "transFlag";
    // 小板重
    public static final String SUM_PLATE_WT = "sumPlateWt";
    // 坯锭型
    public static final String INGOT_TYPE = "ingotType";
    // 钢锭是否保性能
    public static final String INGOT_GUARANTEE_QUALLITY = "guaranteeQuality";
    
    public static final String HEAT_TREATMENT = "qdToLineupResultHeattreatVO";
    public static final String AXIS_HEAT_TREATMENT = "axisQdToLineupResultHeattreatVO";

    // 见证点项目
    public static final String WITNESS_PRO_NO = "WITNESS_PRO_NO";

    // 轴合同见证点项目
    public static final String WITNESS_PRO_NO_AXIS = "WITNESS_PRO_NO_AXIS";
    
}
