package com.xisc.pm.infra.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.xisc.pm.domain.vo.CtDetVO;
import com.xisc.pm.domain.vo.CtPrcPredPlanTimeVO;

import io.choerodon.mybatis.common.BaseMapper;

/**
 * 合同跟踪详细表(CtDet)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:48:38
 */
public interface CtDetMapper extends BaseMapper<CtDetVO> {
    /**
     * 基础查询
     *
     * @param ctDetVO 查询条件
     * @return 返回值
     */
    List<CtDetVO> selectList(CtDetVO ctDetVO);

    /**
     * 
     * @param tenantId
     * @param orderNoList
     * @param wholeBacklogCodeListF
     * @return
     */
    List<CtPrcPredPlanTimeVO> selectCtPrcPredPlanTime(@Param("tenantId") Long tenantId 
            , @Param("orderNoList") List<String> orderNoList , @Param("wholeBacklogCodeList") List<String> wholeBacklogCodeListF);
}
