package com.xisc.pm.infra.mapper;

import java.util.List;

import com.xisc.pm.domain.entity.MmHtmrslt;
import io.choerodon.mybatis.common.BaseMapper;

/**
 * 热处理实绩表Mapper
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-27 13:39:27
 */
public interface MmHtmrsltMapper extends BaseMapper<MmHtmrslt> {

    /**
     * 获取最大的实绩代码
     * @param matNo
     * @param tenantId
     * @return
     */
    List<String> getHotTreatMethodByMatNo(String matNo, Long tenantId);
    
}
