package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmMinThickTolBt;

import java.util.List;

/**
 * 最小轧制厚度公差范围基准表(PmMinThickTolBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 11:11:38
 */
public interface PmMinThickTolBtMapper extends BaseMapper<PmMinThickTolBt> {
    /**
     * 基础查询
     *
     * @param pmMinThickTolBt 查询条件
     * @return 返回值
     */
    List<PmMinThickTolBt> selectList(PmMinThickTolBt pmMinThickTolBt);
}

