package com.xisc.pm.infra.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.xisc.pm.domain.entity.PmPdBlockPos;
import io.choerodon.mybatis.common.BaseMapper;

/**
 * 组合子板位置表Mapper
 *
 * @author 曾俊 jun.zeng@hand-china.com 2024-08-02 08:02:38
 */
public interface PmPdBlockPosMapper extends BaseMapper<PmPdBlockPos> {
    
    /**
     * 通过MatNo删除
     * @param tenantId
     * @param removePdMatNo
     */
    int deleteByMatNo(@Param("tenantId") Long tenantId, @Param("removePdMatNo") List<String> removePdMatNo);

}
