package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPdTmpYieldBt;

import java.util.List;

/**
 * 组板临时收得率基准表(PmPdTmpYieldBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-24 11:02:22
 */
public interface PmPdTmpYieldBtMapper extends BaseMapper<PmPdTmpYieldBt> {
    /**
     * 基础查询
     *
     * @param pmPdTmpYieldBt 查询条件
     * @return 返回值
     */
    List<PmPdTmpYieldBt> selectList(PmPdTmpYieldBt pmPdTmpYieldBt);
}

