package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmPlateSpecBt;
import io.choerodon.mybatis.common.BaseMapper;

import java.math.BigDecimal;
import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * 钢板轧制规格基准表(PmPlateSpecBt)应用服务
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-09-05 14:45:53
 */
public interface PmPlateSpecBtMapper extends BaseMapper<PmPlateSpecBt> {
    /**
     * 基础查询
     *
     * @param pmPlateSpecBt 查询条件
     * @return 返回值
     */
    List<PmPlateSpecBt> selectList(PmPlateSpecBt pmPlateSpecBt);

    /**
     * 获取最大值
     * @param tenantId
     * @return
     */
    BigDecimal maxCombinePlateLenMax(@Param("tenantId") Long tenantId);
}

