package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicyOrder;

import java.util.List;

/**
 * 策略信息与合同分组头表(PmPolicyOrder)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:45:14
 */
public interface PmPolicyOrderMapper extends BaseMapper<PmPolicyOrder> {
    /**
     * 基础查询
     *
     * @param pmPolicyOrder 查询条件
     * @return 返回值
     */
    List<PmPolicyOrder> selectList(PmPolicyOrder pmPolicyOrder);
}

