package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicySteelType;

import java.util.List;

/**
 * 策略信息内部钢种表(PmPolicySteelType)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:47:49
 */
public interface PmPolicySteelTypeMapper extends BaseMapper<PmPolicySteelType> {
    /**
     * 基础查询
     *
     * @param pmPolicySteelType 查询条件
     * @return 返回值
     */
    List<PmPolicySteelType> selectList(PmPolicySteelType pmPolicySteelType);
}

