package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmPolicyVip;

import java.util.List;

/**
 * 策略信息与重要客户关系表(PmPolicyVip)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-16 10:48:16
 */
public interface PmPolicyVipMapper extends BaseMapper<PmPolicyVip> {
    /**
     * 基础查询
     *
     * @param pmPolicyVip 查询条件
     * @return 返回值
     */
    List<PmPolicyVip> selectList(PmPolicyVip pmPolicyVip);
}

