package com.xisc.pm.infra.mapper;

import io.choerodon.mybatis.common.BaseMapper;
import com.xisc.pm.domain.entity.PmProdLineSection;

import java.util.List;

/**
 * 产线断面关系表(PmProdLineSection)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-10-10 09:19:37
 */
public interface PmProdLineSectionMapper extends BaseMapper<PmProdLineSection> {
    /**
     * 基础查询
     *
     * @param pmProdLineSection 查询条件
     * @return 返回值
     */
    List<PmProdLineSection> selectList(PmProdLineSection pmProdLineSection);
}

