package com.xisc.pm.infra.mapper;

import com.xisc.pm.domain.entity.PmSampleReserveBt;
import io.choerodon.mybatis.common.BaseMapper;

import java.util.List;

/**
 * 预留试样基表(PmSampleReserveBt)应用服务
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-12-18 15:13:04
 */
public interface PmSampleReserveBtMapper extends BaseMapper<PmSampleReserveBt> {
    /**
     * 基础查询
     *
     * @param pmSampleReserveBt 查询条件
     * @return 返回值
     */
    List<PmSampleReserveBt> selectList(PmSampleReserveBt pmSampleReserveBt);
}

