package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.domain.entity.PmMoldSpecBtTra;
import com.xisc.pm.domain.repository.PmMoldSpecBtTraRepository;
import com.xisc.pm.infra.mapper.PmMoldSpecBtTraMapper;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 结晶器规格基准表-履历表(PmMoldSpecBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-22 15:25:00
 */
@Component
public class PmMoldSpecBtTraRepositoryImpl extends BaseRepositoryImpl<PmMoldSpecBtTra> implements PmMoldSpecBtTraRepository {
    @Resource
    private PmMoldSpecBtTraMapper pmMoldSpecBtTraMapper;

    @Override
    public List<PmMoldSpecBtTra> selectList(PmMoldSpecBtTra pmMoldSpecBtTra) {
        return pmMoldSpecBtTraMapper.selectList(pmMoldSpecBtTra);
    }
}
