package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.api.dto.PmProductionLineDTO;
import com.xisc.pm.domain.entity.PmProductionLine;
import com.xisc.pm.domain.repository.PmProductionLineRepository;
import com.xisc.pm.infra.mapper.PmProductionLineMapper;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 生产线表(PmProductionLine)资源库
 *
 * @author jie.yang04@hand-china.com
 * @since 2024-10-09 09:42:01
 */
@Component
public class PmProductionLineRepositoryImpl extends BaseRepositoryImpl<PmProductionLine> implements PmProductionLineRepository {
    @Resource
    private PmProductionLineMapper pmProductionLineMapper;

    @Override
    public List<PmProductionLineDTO> selectList(Long tenantId, PmProductionLineDTO productionLineDTO) {
        return pmProductionLineMapper.selectList(tenantId, productionLineDTO);
    }


}

